<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.3083
Name: Therapieplan Beatmung
Description: Section, welche die vom Arzt verordneten Beatmungsparameter enthält
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.3083-2017-04-24T000000">
   <title>Therapieplan Beatmung</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3083
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3083']]]
Item: (therapieplanbeatmung)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3083
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3083']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3083']]
Item: (therapieplanbeatmung)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3083']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3083']]"
         id="d127e2077-false-d83395e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3083-2017-04-24T000000.html"
              test="string(@classCode)=('DOCSECT')">(therapieplanbeatmung): Der Wert von @classCode MUSS 'DOCSECT' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3083-2017-04-24T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(therapieplanbeatmung): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3083-2017-04-24T000000.html"
              test="string(@moodCode)=('RQO')">(therapieplanbeatmung): Der Wert von @moodCode MUSS 'RQO' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3083-2017-04-24T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(therapieplanbeatmung): Attribute @moodCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3083-2017-04-24T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.3083'])&gt;=1">(therapieplanbeatmung): Element hl7:templateId[@root='1.2.276.0.76.10.3083'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3083-2017-04-24T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.3083'])&lt;=1">(therapieplanbeatmung): Element hl7:templateId[@root='1.2.276.0.76.10.3083'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3083-2017-04-24T000000.html"
              test="count(hl7:id)&lt;=1">(therapieplanbeatmung): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3083-2017-04-24T000000.html"
              test="count(hl7:code[(@code='27726-9' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&gt;=1">(therapieplanbeatmung): Element hl7:code[(@code='27726-9' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3083-2017-04-24T000000.html"
              test="count(hl7:code[(@code='27726-9' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&lt;=1">(therapieplanbeatmung): Element hl7:code[(@code='27726-9' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3083-2017-04-24T000000.html"
              test="count(hl7:title[not(@nullFlavor)])&gt;=1">(therapieplanbeatmung): Element hl7:title[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3083-2017-04-24T000000.html"
              test="count(hl7:title[not(@nullFlavor)])&lt;=1">(therapieplanbeatmung): Element hl7:title[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3083-2017-04-24T000000.html"
              test="count(hl7:text[not(@nullFlavor)])&gt;=1">(therapieplanbeatmung): Element hl7:text[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3083-2017-04-24T000000.html"
              test="count(hl7:text[not(@nullFlavor)])&lt;=1">(therapieplanbeatmung): Element hl7:text[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3083-2017-04-24T000000.html"
              test="count(hl7:entry[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4243']]])&lt;=1">(therapieplanbeatmung): Element hl7:entry[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4243']]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3083
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3083']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3083']]/hl7:templateId[@root='1.2.276.0.76.10.3083']
Item: (therapieplanbeatmung)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3083']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3083']]/hl7:templateId[@root='1.2.276.0.76.10.3083']"
         id="d127e2083-false-d84145e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3083-2017-04-24T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(therapieplanbeatmung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3083-2017-04-24T000000.html"
              test="string(@root)=('1.2.276.0.76.10.3083')">(therapieplanbeatmung): Der Wert von @root MUSS '1.2.276.0.76.10.3083' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3083-2017-04-24T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(therapieplanbeatmung): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3083
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3083']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3083']]/hl7:id
Item: (therapieplanbeatmung)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3083']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3083']]/hl7:id"
         id="d127e2088-false-d84166e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3083-2017-04-24T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(therapieplanbeatmung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3083
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3083']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3083']]/hl7:code[(@code='27726-9' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]
Item: (therapieplanbeatmung)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3083']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3083']]/hl7:code[(@code='27726-9' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]"
         id="d127e2090-false-d84180e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3083-2017-04-24T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(therapieplanbeatmung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3083-2017-04-24T000000.html"
              test="@nullFlavor or (@code='27726-9' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Respiratory therapy treatment plan, Plan of treatment (narrative)' and @codeSystemName='LOINC')">(therapieplanbeatmung): Der Elementinhalt MUSS einer von 'code '27726-9' codeSystem '2.16.840.1.113883.6.1' displayName='Respiratory therapy treatment plan, Plan of treatment (narrative)' codeSystemName='LOINC'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3083
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3083']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3083']]/hl7:title[not(@nullFlavor)]
Item: (therapieplanbeatmung)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3083']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3083']]/hl7:title[not(@nullFlavor)]"
         id="d127e2096-false-d84200e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3083-2017-04-24T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(therapieplanbeatmung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3083-2017-04-24T000000.html"
              test="text()='Therapieplan Beatmung'">(therapieplanbeatmung): Der Elementinhalt von 'hl7:title[not(@nullFlavor)]' MUSS ''Therapieplan Beatmung'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3083
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3083']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3083']]/hl7:text[not(@nullFlavor)]
Item: (therapieplanbeatmung)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3083']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3083']]/hl7:text[not(@nullFlavor)]"
         id="d127e2102-false-d84218e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3083-2017-04-24T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(therapieplanbeatmung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3083
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3083']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3083']]/hl7:entry[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4243']]]
Item: (therapieplanbeatmung)
-->
   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3083']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3083']]/hl7:entry[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4243']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3083-2017-04-24T000000.html"
              test="string(@typeCode)=('COMP')">(therapieplanbeatmung): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3083-2017-04-24T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(therapieplanbeatmung): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3083-2017-04-24T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(therapieplanbeatmung): Der Wert von @contextConductionInd MUSS 'true' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3083-2017-04-24T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(therapieplanbeatmung): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein</assert>
   </rule>
</pattern>
