<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.3088
Name: Pflegerische Maßnahmen
Description: Section, welche Angaben zu pflegerischen Maßnahmen und Behandlungspflege enthält
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.3088-2017-04-24T000000">
   <title>Pflegerische Maßnahmen</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3088
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]]
Item: (pflegerischemassnahmen)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3088
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]
Item: (pflegerischemassnahmen)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]"
         id="d127e2326-false-d87496e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3088-2017-04-24T000000.html"
              test="string(@classCode)=('DOCSECT') or not(@classCode)">(pflegerischemassnahmen): Der Wert von @classCode MUSS 'DOCSECT' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3088-2017-04-24T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(pflegerischemassnahmen): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3088-2017-04-24T000000.html"
              test="string(@moodCode)=('EVN') or not(@moodCode)">(pflegerischemassnahmen): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3088-2017-04-24T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(pflegerischemassnahmen): Attribute @moodCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3088-2017-04-24T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.3088'])&gt;=1">(pflegerischemassnahmen): Element hl7:templateId[@root='1.2.276.0.76.10.3088'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3088-2017-04-24T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.3088'])&lt;=1">(pflegerischemassnahmen): Element hl7:templateId[@root='1.2.276.0.76.10.3088'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3088-2017-04-24T000000.html"
              test="count(hl7:id)&lt;=1">(pflegerischemassnahmen): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3088-2017-04-24T000000.html"
              test="count(hl7:code[(@code='75455-6' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&gt;=1">(pflegerischemassnahmen): Element hl7:code[(@code='75455-6' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3088-2017-04-24T000000.html"
              test="count(hl7:code[(@code='75455-6' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&lt;=1">(pflegerischemassnahmen): Element hl7:code[(@code='75455-6' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3088-2017-04-24T000000.html"
              test="count(hl7:title[not(@nullFlavor)])&gt;=1">(pflegerischemassnahmen): Element hl7:title[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3088-2017-04-24T000000.html"
              test="count(hl7:title[not(@nullFlavor)])&lt;=1">(pflegerischemassnahmen): Element hl7:title[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3088-2017-04-24T000000.html"
              test="count(hl7:text[not(@nullFlavor)])&gt;=1">(pflegerischemassnahmen): Element hl7:text[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3088-2017-04-24T000000.html"
              test="count(hl7:text[not(@nullFlavor)])&lt;=1">(pflegerischemassnahmen): Element hl7:text[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3088
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]/hl7:templateId[@root='1.2.276.0.76.10.3088']
Item: (pflegerischemassnahmen)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]/hl7:templateId[@root='1.2.276.0.76.10.3088']"
         id="d127e2332-false-d88704e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3088-2017-04-24T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(pflegerischemassnahmen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3088-2017-04-24T000000.html"
              test="string(@root)=('1.2.276.0.76.10.3088')">(pflegerischemassnahmen): Der Wert von @root MUSS '1.2.276.0.76.10.3088' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3088-2017-04-24T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(pflegerischemassnahmen): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3088
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]/hl7:id
Item: (pflegerischemassnahmen)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]/hl7:id"
         id="d127e2337-false-d88725e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3088-2017-04-24T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(pflegerischemassnahmen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3088
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]/hl7:code[(@code='75455-6' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]
Item: (pflegerischemassnahmen)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]/hl7:code[(@code='75455-6' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]"
         id="d127e2339-false-d88739e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3088-2017-04-24T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(pflegerischemassnahmen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3088-2017-04-24T000000.html"
              test="@nullFlavor or (@code='75455-6' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Nurse procedure note' and @codeSystemName='LOINC')">(pflegerischemassnahmen): Der Elementinhalt MUSS einer von 'code '75455-6' codeSystem '2.16.840.1.113883.6.1' displayName='Nurse procedure note' codeSystemName='LOINC'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3088
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]/hl7:title[not(@nullFlavor)]
Item: (pflegerischemassnahmen)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]/hl7:title[not(@nullFlavor)]"
         id="d127e2345-false-d88759e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3088-2017-04-24T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(pflegerischemassnahmen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3088
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]/hl7:text[not(@nullFlavor)]
Item: (pflegerischemassnahmen)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]/hl7:text[not(@nullFlavor)]"
         id="d127e2347-false-d88773e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3088-2017-04-24T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(pflegerischemassnahmen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3088
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]/hl7:entry[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4208']]]
Item: (pflegerischemassnahmen)
-->
   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]/hl7:entry[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4208']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3088-2017-04-24T000000.html"
              test="string(@typeCode)=('COMP')">(pflegerischemassnahmen): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3088-2017-04-24T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(pflegerischemassnahmen): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3088-2017-04-24T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(pflegerischemassnahmen): Der Wert von @contextConductionInd MUSS 'true' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3088-2017-04-24T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(pflegerischemassnahmen): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3088
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]/hl7:entry[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4209']]]
Item: (pflegerischemassnahmen)
-->
   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]/hl7:entry[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4209']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3088-2017-04-24T000000.html"
              test="string(@typeCode)=('COMP')">(pflegerischemassnahmen): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3088-2017-04-24T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(pflegerischemassnahmen): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3088-2017-04-24T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(pflegerischemassnahmen): Der Wert von @contextConductionInd MUSS 'true' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3088-2017-04-24T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(pflegerischemassnahmen): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3088
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]/hl7:entry[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4214']]]
Item: (pflegerischemassnahmen)
-->
   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]/hl7:entry[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4214']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3088-2017-04-24T000000.html"
              test="string(@typeCode)=('COMP')">(pflegerischemassnahmen): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3088-2017-04-24T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(pflegerischemassnahmen): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3088-2017-04-24T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(pflegerischemassnahmen): Der Wert von @contextConductionInd MUSS 'true' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3088-2017-04-24T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(pflegerischemassnahmen): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3088
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]/hl7:entry
Item: (pflegerischemassnahmen)
-->
   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]/hl7:entry">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3088-2017-04-24T000000.html"
              test="string(@typeCode)=('COMP')">(pflegerischemassnahmen): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3088-2017-04-24T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(pflegerischemassnahmen): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3088-2017-04-24T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(pflegerischemassnahmen): Der Wert von @contextConductionInd MUSS 'true' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3088-2017-04-24T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(pflegerischemassnahmen): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4220
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]/hl7:entry
Item: (CDAManufacturedProductTrachealkanuele)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4220
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]/hl7:entry/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='129121000' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]]]
Item: (CDAManufacturedProductTrachealkanuele)
-->
   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]/hl7:entry/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='129121000' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4220-2017-05-16T000000.html"
              test="string(@classCode)=('MANU') or not(@classCode)">(CDAManufacturedProductTrachealkanuele): Der Wert von @classCode MUSS 'MANU' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4220-2017-05-16T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(CDAManufacturedProductTrachealkanuele): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4220-2017-05-16T000000.html"
              test="count(hl7:manufacturedMaterial[hl7:code[(@code='129121000' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]])&lt;=1">(CDAManufacturedProductTrachealkanuele): Element hl7:manufacturedMaterial[hl7:code[(@code='129121000' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4220-2017-05-16T000000.html"
              test="count(hl7:manufacturerOrganization[not(@nullFlavor)])&gt;=1">(CDAManufacturedProductTrachealkanuele): Element hl7:manufacturerOrganization[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4220-2017-05-16T000000.html"
              test="count(hl7:manufacturerOrganization[not(@nullFlavor)])&lt;=1">(CDAManufacturedProductTrachealkanuele): Element hl7:manufacturerOrganization[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4220
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]/hl7:entry/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='129121000' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]]]/hl7:id
Item: (CDAManufacturedProductTrachealkanuele)
-->
   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]/hl7:entry/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='129121000' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]]]/hl7:id">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4220-2017-05-16T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAManufacturedProductTrachealkanuele): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4219
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]/hl7:entry/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='129121000' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]]]/hl7:manufacturedMaterial[hl7:code[(@code='129121000' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]]
Item: (MaterialTrachealkanuele)
-->
   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]/hl7:entry/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='129121000' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]]]/hl7:manufacturedMaterial[hl7:code[(@code='129121000' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4219-2017-05-16T000000.html"
              test="string(@classCode)=('MMAT') or not(@classCode)">(MaterialTrachealkanuele): Der Wert von @classCode MUSS 'MMAT' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4219-2017-05-16T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(MaterialTrachealkanuele): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4219-2017-05-16T000000.html"
              test="string(@determinerCode)=('KIND') or not(@determinerCode)">(MaterialTrachealkanuele): Der Wert von @determinerCode MUSS 'KIND' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4219-2017-05-16T000000.html"
              test="not(@determinerCode) or (string-length(@determinerCode)&gt;0 and not(matches(@determinerCode,'\s')))">(MaterialTrachealkanuele): Attribute @determinerCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4219-2017-05-16T000000.html"
              test="count(hl7:code[(@code='129121000' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)])&gt;=1">(MaterialTrachealkanuele): Element hl7:code[(@code='129121000' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4219-2017-05-16T000000.html"
              test="count(hl7:code[(@code='129121000' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)])&lt;=1">(MaterialTrachealkanuele): Element hl7:code[(@code='129121000' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4219-2017-05-16T000000.html"
              test="count(hl7:name)&lt;=1">(MaterialTrachealkanuele): Element hl7:name kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4219-2017-05-16T000000.html"
              test="count(hl7:lotNumberText)&lt;=1">(MaterialTrachealkanuele): Element hl7:lotNumberText kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4219
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]/hl7:entry/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='129121000' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]]]/hl7:manufacturedMaterial[hl7:code[(@code='129121000' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]]/hl7:code[(@code='129121000' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]
Item: (MaterialTrachealkanuele)
-->
   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]/hl7:entry/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='129121000' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]]]/hl7:manufacturedMaterial[hl7:code[(@code='129121000' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]]/hl7:code[(@code='129121000' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4219-2017-05-16T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MaterialTrachealkanuele): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4219-2017-05-16T000000.html"
              test="@nullFlavor or (@code='129121000' and @codeSystem='2.16.840.1.113883.6.96' and @displayName='Tracheostomy tube, device (physical object)' and @codeSystemName='SNOMED CT')">(MaterialTrachealkanuele): Der Elementinhalt MUSS einer von 'code '129121000' codeSystem '2.16.840.1.113883.6.96' displayName='Tracheostomy tube, device (physical object)' codeSystemName='SNOMED CT'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4219
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]/hl7:entry/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='129121000' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]]]/hl7:manufacturedMaterial[hl7:code[(@code='129121000' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]]/hl7:name
Item: (MaterialTrachealkanuele)
-->
   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]/hl7:entry/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='129121000' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]]]/hl7:manufacturedMaterial[hl7:code[(@code='129121000' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]]/hl7:name">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4219-2017-05-16T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='EN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MaterialTrachealkanuele): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:EN" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="EN"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4219
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]/hl7:entry/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='129121000' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]]]/hl7:manufacturedMaterial[hl7:code[(@code='129121000' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]]/hl7:lotNumberText
Item: (MaterialTrachealkanuele)
-->
   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]/hl7:entry/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='129121000' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]]]/hl7:manufacturedMaterial[hl7:code[(@code='129121000' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]]/hl7:lotNumberText">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4219-2017-05-16T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MaterialTrachealkanuele): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4220
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]/hl7:entry/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='129121000' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]]]/hl7:manufacturerOrganization[not(@nullFlavor)]
Item: (CDAManufacturedProductTrachealkanuele)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90011
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]/hl7:entry/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='129121000' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]]]/hl7:manufacturerOrganization[not(@nullFlavor)]
Item: (OrganizationElements)
-->
   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]/hl7:entry/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='129121000' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]]]/hl7:manufacturerOrganization[not(@nullFlavor)]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="string(@classCode)=('ORG') or not(@classCode)">(OrganizationElements): Der Wert von @classCode MUSS 'ORG' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(OrganizationElements): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="count(hl7:name[not(@nullFlavor)])&gt;=1">(OrganizationElements): Element hl7:name[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="count(hl7:name[not(@nullFlavor)])&lt;=1">(OrganizationElements): Element hl7:name[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="count(hl7:addr)&lt;=1">(OrganizationElements): Element hl7:addr kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90011
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]/hl7:entry/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='129121000' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]]]/hl7:manufacturerOrganization[not(@nullFlavor)]/hl7:id
Item: (OrganizationElements)
-->
   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]/hl7:entry/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='129121000' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]]]/hl7:manufacturerOrganization[not(@nullFlavor)]/hl7:id">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90011
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]/hl7:entry/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='129121000' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]]]/hl7:manufacturerOrganization[not(@nullFlavor)]/hl7:name[not(@nullFlavor)]
Item: (OrganizationElements)
-->
   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]/hl7:entry/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='129121000' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]]]/hl7:manufacturerOrganization[not(@nullFlavor)]/hl7:name[not(@nullFlavor)]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ON" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90011
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]/hl7:entry/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='129121000' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]]]/hl7:manufacturerOrganization[not(@nullFlavor)]/hl7:telecom
Item: (OrganizationElements)
-->
   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]/hl7:entry/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='129121000' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]]]/hl7:manufacturerOrganization[not(@nullFlavor)]/hl7:telecom">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90011
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]/hl7:entry/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='129121000' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]]]/hl7:manufacturerOrganization[not(@nullFlavor)]/hl7:addr
Item: (OrganizationElements)
-->
   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]/hl7:entry/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='129121000' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]]]/hl7:manufacturerOrganization[not(@nullFlavor)]/hl7:addr">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3088
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4248']]]
Item: (pflegerischemassnahmen)
-->
   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4248']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3088-2017-04-24T000000.html"
              test="string(@typeCode)=('COMP')">(pflegerischemassnahmen): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3088-2017-04-24T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(pflegerischemassnahmen): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3088-2017-04-24T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(pflegerischemassnahmen): Der Wert von @contextConductionInd MUSS 'true' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3088-2017-04-24T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(pflegerischemassnahmen): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3088
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]/hl7:entry[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4226']]]
Item: (pflegerischemassnahmen)
-->
   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]/hl7:entry[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4226']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3088-2017-04-24T000000.html"
              test="string(@typeCode)=('COMP')">(pflegerischemassnahmen): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3088-2017-04-24T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(pflegerischemassnahmen): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3088-2017-04-24T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(pflegerischemassnahmen): Der Wert von @contextConductionInd MUSS 'true' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3088-2017-04-24T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(pflegerischemassnahmen): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3088
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]/hl7:entry[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4072']]]
Item: (pflegerischemassnahmen)
-->
   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]/hl7:entry[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4072']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3088-2017-04-24T000000.html"
              test="string(@typeCode)=('COMP')">(pflegerischemassnahmen): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3088-2017-04-24T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(pflegerischemassnahmen): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3088-2017-04-24T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(pflegerischemassnahmen): Der Wert von @contextConductionInd MUSS 'true' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3088-2017-04-24T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(pflegerischemassnahmen): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3088
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]/hl7:entry[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4233']]]
Item: (pflegerischemassnahmen)
-->
   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3088']]/hl7:entry[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4233']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3088-2017-04-24T000000.html"
              test="string(@typeCode)=('COMP')">(pflegerischemassnahmen): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3088-2017-04-24T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(pflegerischemassnahmen): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3088-2017-04-24T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(pflegerischemassnahmen): Der Wert von @contextConductionInd MUSS 'true' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3088-2017-04-24T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(pflegerischemassnahmen): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein</assert>
   </rule>
</pattern>
