<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.3089
Name: Beatmungsparameter (gemessen)
Description: Section, welche IST-Werte enthält. Vom Beatmungsgerät gemessene Beatmungsparameter (Event)
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.3089-2017-04-28T000000">
   <title>Beatmungsparameter (gemessen)</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3089
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3089']]]
Item: (Beatmungsparametergemessen)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3089']]]"
         id="d127e2408-false-d90492e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3089-2017-04-28T000000.html"
              test="count(hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3089']])&gt;=1">(Beatmungsparametergemessen): Element hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3089']] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3089-2017-04-28T000000.html"
              test="count(hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3089']])&lt;=1">(Beatmungsparametergemessen): Element hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3089']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3089
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3089']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3089']]
Item: (Beatmungsparametergemessen)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3089']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3089']]"
         id="d127e2419-false-d90516e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3089-2017-04-28T000000.html"
              test="string(@classCode)=('DOCSECT')">(Beatmungsparametergemessen): Der Wert von @classCode MUSS 'DOCSECT' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3089-2017-04-28T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(Beatmungsparametergemessen): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3089-2017-04-28T000000.html"
              test="string(@moodCode)=('EVN')">(Beatmungsparametergemessen): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3089-2017-04-28T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(Beatmungsparametergemessen): Attribute @moodCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3089-2017-04-28T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.3089'])&gt;=1">(Beatmungsparametergemessen): Element hl7:templateId[@root='1.2.276.0.76.10.3089'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3089-2017-04-28T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.3089'])&lt;=1">(Beatmungsparametergemessen): Element hl7:templateId[@root='1.2.276.0.76.10.3089'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3089-2017-04-28T000000.html"
              test="count(hl7:id)&gt;=1">(Beatmungsparametergemessen): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3089-2017-04-28T000000.html"
              test="count(hl7:id)&lt;=1">(Beatmungsparametergemessen): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3089-2017-04-28T000000.html"
              test="count(hl7:code[(@code='X-VENTRPARM' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&gt;=1">(Beatmungsparametergemessen): Element hl7:code[(@code='X-VENTRPARM' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3089-2017-04-28T000000.html"
              test="count(hl7:code[(@code='X-VENTRPARM' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&lt;=1">(Beatmungsparametergemessen): Element hl7:code[(@code='X-VENTRPARM' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3089-2017-04-28T000000.html"
              test="count(hl7:title[not(@nullFlavor)])&gt;=1">(Beatmungsparametergemessen): Element hl7:title[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3089-2017-04-28T000000.html"
              test="count(hl7:title[not(@nullFlavor)])&lt;=1">(Beatmungsparametergemessen): Element hl7:title[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3089-2017-04-28T000000.html"
              test="count(hl7:text[not(@nullFlavor)])&gt;=1">(Beatmungsparametergemessen): Element hl7:text[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3089-2017-04-28T000000.html"
              test="count(hl7:text[not(@nullFlavor)])&lt;=1">(Beatmungsparametergemessen): Element hl7:text[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3089-2017-04-28T000000.html"
              test="count(hl7:entry[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4245']]])&lt;=1">(Beatmungsparametergemessen): Element hl7:entry[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4245']]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3089
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3089']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3089']]/hl7:templateId[@root='1.2.276.0.76.10.3089']
Item: (Beatmungsparametergemessen)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3089']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3089']]/hl7:templateId[@root='1.2.276.0.76.10.3089']"
         id="d127e2425-false-d91149e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3089-2017-04-28T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Beatmungsparametergemessen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3089-2017-04-28T000000.html"
              test="string(@root)=('1.2.276.0.76.10.3089')">(Beatmungsparametergemessen): Der Wert von @root MUSS '1.2.276.0.76.10.3089' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3089-2017-04-28T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(Beatmungsparametergemessen): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3089
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3089']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3089']]/hl7:id
Item: (Beatmungsparametergemessen)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3089']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3089']]/hl7:id"
         id="d127e2430-false-d91170e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3089-2017-04-28T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Beatmungsparametergemessen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3089
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3089']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3089']]/hl7:code[(@code='X-VENTRPARM' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]
Item: (Beatmungsparametergemessen)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3089']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3089']]/hl7:code[(@code='X-VENTRPARM' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]"
         id="d127e2432-false-d91184e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3089-2017-04-28T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Beatmungsparametergemessen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3089-2017-04-28T000000.html"
              test="@nullFlavor or (@code='X-VENTRPARM' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Ventilator parameter measured')">(Beatmungsparametergemessen): Der Elementinhalt MUSS einer von 'code 'X-VENTRPARM' codeSystem '2.16.840.1.113883.6.1' displayName='Ventilator parameter measured'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3089
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3089']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3089']]/hl7:title[not(@nullFlavor)]
Item: (Beatmungsparametergemessen)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3089']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3089']]/hl7:title[not(@nullFlavor)]"
         id="d127e2438-false-d91204e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3089-2017-04-28T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Beatmungsparametergemessen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3089-2017-04-28T000000.html"
              test="text()='Beatmungsparameter (gemessen)'">(Beatmungsparametergemessen): Der Elementinhalt von 'hl7:title[not(@nullFlavor)]' MUSS ''Beatmungsparameter (gemessen)'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3089
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3089']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3089']]/hl7:text[not(@nullFlavor)]
Item: (Beatmungsparametergemessen)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3089']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3089']]/hl7:text[not(@nullFlavor)]"
         id="d127e2444-false-d91222e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3089-2017-04-28T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Beatmungsparametergemessen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3089
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3089']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3089']]/hl7:entry[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4245']]]
Item: (Beatmungsparametergemessen)
-->
   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3089']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3089']]/hl7:entry[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4245']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3089-2017-04-28T000000.html"
              test="string(@typeCode)=('COMP')">(Beatmungsparametergemessen): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3089-2017-04-28T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(Beatmungsparametergemessen): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3089-2017-04-28T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(Beatmungsparametergemessen): Der Wert von @contextConductionInd MUSS 'true' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3089-2017-04-28T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(Beatmungsparametergemessen): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein</assert>
   </rule>
</pattern>
