<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.3090
Name: Beatmungsparameter (Einstellungen)
Description: Section, welche Angaben zur faktischen Einstellung des Beatmungsgerätes (Setting) enthält
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.3090-2017-04-28T000000">
   <title>Beatmungsparameter (Einstellungen)</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3090
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3090']]]
Item: (Beatmungsparametereinstellungen)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3090']]]"
         id="d127e2455-false-d91811e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3090-2017-04-28T000000.html"
              test="count(hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3090']])&gt;=1">(Beatmungsparametereinstellungen): Element hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3090']] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3090-2017-04-28T000000.html"
              test="count(hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3090']])&lt;=1">(Beatmungsparametereinstellungen): Element hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3090']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3090
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3090']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3090']]
Item: (Beatmungsparametereinstellungen)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3090']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3090']]"
         id="d127e2466-false-d91835e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3090-2017-04-28T000000.html"
              test="string(@classCode)=('DOCSECT')">(Beatmungsparametereinstellungen): Der Wert von @classCode MUSS 'DOCSECT' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3090-2017-04-28T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(Beatmungsparametereinstellungen): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3090-2017-04-28T000000.html"
              test="string(@moodCode)=('EVN')">(Beatmungsparametereinstellungen): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3090-2017-04-28T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(Beatmungsparametereinstellungen): Attribute @moodCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3090-2017-04-28T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.3090'])&gt;=1">(Beatmungsparametereinstellungen): Element hl7:templateId[@root='1.2.276.0.76.10.3090'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3090-2017-04-28T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.3090'])&lt;=1">(Beatmungsparametereinstellungen): Element hl7:templateId[@root='1.2.276.0.76.10.3090'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3090-2017-04-28T000000.html"
              test="count(hl7:id)&lt;=1">(Beatmungsparametereinstellungen): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3090-2017-04-28T000000.html"
              test="count(hl7:code[(@code='X-VENTRPARS' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&gt;=1">(Beatmungsparametereinstellungen): Element hl7:code[(@code='X-VENTRPARS' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3090-2017-04-28T000000.html"
              test="count(hl7:code[(@code='X-VENTRPARS' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&lt;=1">(Beatmungsparametereinstellungen): Element hl7:code[(@code='X-VENTRPARS' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3090-2017-04-28T000000.html"
              test="count(hl7:title[not(@nullFlavor)])&gt;=1">(Beatmungsparametereinstellungen): Element hl7:title[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3090-2017-04-28T000000.html"
              test="count(hl7:title[not(@nullFlavor)])&lt;=1">(Beatmungsparametereinstellungen): Element hl7:title[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3090-2017-04-28T000000.html"
              test="count(hl7:text[not(@nullFlavor)])&gt;=1">(Beatmungsparametereinstellungen): Element hl7:text[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3090-2017-04-28T000000.html"
              test="count(hl7:text[not(@nullFlavor)])&lt;=1">(Beatmungsparametereinstellungen): Element hl7:text[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3090-2017-04-28T000000.html"
              test="count(hl7:entry[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4244']]])&lt;=1">(Beatmungsparametereinstellungen): Element hl7:entry[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4244']]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3090
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3090']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3090']]/hl7:templateId[@root='1.2.276.0.76.10.3090']
Item: (Beatmungsparametereinstellungen)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3090']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3090']]/hl7:templateId[@root='1.2.276.0.76.10.3090']"
         id="d127e2472-false-d92585e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3090-2017-04-28T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Beatmungsparametereinstellungen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3090-2017-04-28T000000.html"
              test="string(@root)=('1.2.276.0.76.10.3090')">(Beatmungsparametereinstellungen): Der Wert von @root MUSS '1.2.276.0.76.10.3090' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3090-2017-04-28T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(Beatmungsparametereinstellungen): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3090
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3090']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3090']]/hl7:id
Item: (Beatmungsparametereinstellungen)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3090']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3090']]/hl7:id"
         id="d127e2477-false-d92606e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3090-2017-04-28T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Beatmungsparametereinstellungen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3090
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3090']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3090']]/hl7:code[(@code='X-VENTRPARS' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]
Item: (Beatmungsparametereinstellungen)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3090']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3090']]/hl7:code[(@code='X-VENTRPARS' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]"
         id="d127e2479-false-d92620e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3090-2017-04-28T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Beatmungsparametereinstellungen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3090-2017-04-28T000000.html"
              test="@nullFlavor or (@code='X-VENTRPARS' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Ventilator parameter setting')">(Beatmungsparametereinstellungen): Der Elementinhalt MUSS einer von 'code 'X-VENTRPARS' codeSystem '2.16.840.1.113883.6.1' displayName='Ventilator parameter setting'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3090
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3090']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3090']]/hl7:title[not(@nullFlavor)]
Item: (Beatmungsparametereinstellungen)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3090']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3090']]/hl7:title[not(@nullFlavor)]"
         id="d127e2485-false-d92640e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3090-2017-04-28T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Beatmungsparametereinstellungen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3090-2017-04-28T000000.html"
              test="text()='Einstellung Beatmungsgerät'">(Beatmungsparametereinstellungen): Der Elementinhalt von 'hl7:title[not(@nullFlavor)]' MUSS ''Einstellung Beatmungsgerät'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3090
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3090']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3090']]/hl7:text[not(@nullFlavor)]
Item: (Beatmungsparametereinstellungen)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3090']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3090']]/hl7:text[not(@nullFlavor)]"
         id="d127e2491-false-d92658e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3090-2017-04-28T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Beatmungsparametereinstellungen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3090
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3090']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3090']]/hl7:entry[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4244']]]
Item: (Beatmungsparametereinstellungen)
-->
   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3090']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3090']]/hl7:entry[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4244']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3090-2017-04-28T000000.html"
              test="string(@typeCode)=('COMP')">(Beatmungsparametereinstellungen): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3090-2017-04-28T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(Beatmungsparametereinstellungen): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3090-2017-04-28T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(Beatmungsparametereinstellungen): Der Wert von @contextConductionInd MUSS 'true' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3090-2017-04-28T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(Beatmungsparametereinstellungen): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein</assert>
   </rule>
</pattern>
