<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4174
Name: Kapnometrie transcutan
Description: Kapnometrie transcutan, p tc CO 2 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4174-2017-05-04T000000">
   <title>Kapnometrie transcutan</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4174
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4174']]]
Item: (kapnometrietranscutan)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4174']]]"
         id="d127e6589-false-d114566e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4174-2017-05-04T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4174']])&gt;=1">(kapnometrietranscutan): Element hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4174']] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4174-2017-05-04T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4174']])&lt;=1">(kapnometrietranscutan): Element hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4174']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4174
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4174']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4174']]
Item: (kapnometrietranscutan)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4174']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4174']]"
         id="d127e6623-false-d114590e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4174-2017-05-04T000000.html"
              test="string(@classCode)=('OBS')">(kapnometrietranscutan): Der Wert von @classCode MUSS 'OBS' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4174-2017-05-04T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(kapnometrietranscutan): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4174-2017-05-04T000000.html"
              test="@moodCode">(kapnometrietranscutan): Attribut @moodCode MUSS vorkommen.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4174-2017-05-04T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(kapnometrietranscutan): Attribute @moodCode MUSS vom Datentyp 'cs' sein</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@moodCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(doc('include/voc-1.2.276.0.76.11.447-2017-05-31T000000.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4174-2017-05-04T000000.html"
              test="not(@moodCode) or count($theAttValue) = count($theAttCheck)">(kapnometrietranscutan): Der Wert von moodCode MUSS gewählt werden aus Value Set '1.2.276.0.76.11.447' ActMoodCodes (2017-05-31T00:00:00).</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4174-2017-05-04T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4174'])&gt;=1">(kapnometrietranscutan): Element hl7:templateId[@root='1.2.276.0.76.10.4174'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4174-2017-05-04T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4174'])&lt;=1">(kapnometrietranscutan): Element hl7:templateId[@root='1.2.276.0.76.10.4174'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4174-2017-05-04T000000.html"
              test="count(hl7:id)&gt;=1">(kapnometrietranscutan): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4174-2017-05-04T000000.html"
              test="count(hl7:id)&lt;=1">(kapnometrietranscutan): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4174-2017-05-04T000000.html"
              test="count(hl7:code[(@code='11557-6' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor])&gt;=1">(kapnometrietranscutan): Element hl7:code[(@code='11557-6' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4174-2017-05-04T000000.html"
              test="count(hl7:code[(@code='11557-6' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor])&lt;=1">(kapnometrietranscutan): Element hl7:code[(@code='11557-6' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4174-2017-05-04T000000.html"
              test="count(hl7:statusCode[@code='completed' or @nullFlavor])&gt;=1">(kapnometrietranscutan): Element hl7:statusCode[@code='completed' or @nullFlavor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4174-2017-05-04T000000.html"
              test="count(hl7:statusCode[@code='completed' or @nullFlavor])&lt;=1">(kapnometrietranscutan): Element hl7:statusCode[@code='completed' or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4174-2017-05-04T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(kapnometrietranscutan): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4174-2017-05-04T000000.html"
              test="count(hl7:value)&gt;=1">(kapnometrietranscutan): Element hl7:value ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4174-2017-05-04T000000.html"
              test="count(hl7:value)&lt;=1">(kapnometrietranscutan): Element hl7:value kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4174
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4174']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4174']]/hl7:templateId[@root='1.2.276.0.76.10.4174']
Item: (kapnometrietranscutan)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4174']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4174']]/hl7:templateId[@root='1.2.276.0.76.10.4174']"
         id="d127e6632-false-d114694e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4174-2017-05-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kapnometrietranscutan): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4174-2017-05-04T000000.html"
              test="string(@root)=('1.2.276.0.76.10.4174')">(kapnometrietranscutan): Der Wert von @root MUSS '1.2.276.0.76.10.4174' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4174-2017-05-04T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(kapnometrietranscutan): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4174
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4174']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4174']]/hl7:id
Item: (kapnometrietranscutan)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4174']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4174']]/hl7:id"
         id="d127e6637-false-d114715e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4174-2017-05-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kapnometrietranscutan): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4174
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4174']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4174']]/hl7:code[(@code='11557-6' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor]
Item: (kapnometrietranscutan)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4174']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4174']]/hl7:code[(@code='11557-6' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor]"
         id="d127e6639-false-d114729e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4174-2017-05-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kapnometrietranscutan): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4174-2017-05-04T000000.html"
              test="@nullFlavor or (@code='11557-6' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Carbon dioxide [Partial pressure] in Blood' and @codeSystemName='LOINC')">(kapnometrietranscutan): Der Elementinhalt MUSS einer von 'code '11557-6' codeSystem '2.16.840.1.113883.6.1' displayName='Carbon dioxide [Partial pressure] in Blood' codeSystemName='LOINC'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4174
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4174']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4174']]/hl7:statusCode[@code='completed' or @nullFlavor]
Item: (kapnometrietranscutan)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4174']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4174']]/hl7:statusCode[@code='completed' or @nullFlavor]"
         id="d127e6645-false-d114749e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4174-2017-05-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kapnometrietranscutan): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4174-2017-05-04T000000.html"
              test="@nullFlavor or (@code='completed')">(kapnometrietranscutan): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4174
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4174']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4174']]/hl7:effectiveTime
Item: (kapnometrietranscutan)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4174']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4174']]/hl7:effectiveTime"
         id="d127e6650-false-d114769e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4174-2017-05-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kapnometrietranscutan): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4174
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4174']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4174']]/hl7:value
Item: (kapnometrietranscutan)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4174']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4174']]/hl7:value"
         id="d127e6652-false-d114783e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4174-2017-05-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kapnometrietranscutan): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PQ" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4174-2017-05-04T000000.html"
              test="(@nullFlavor or (@unit='mm[Hg]')) or (@nullFlavor or (@unit='%'))">(kapnometrietranscutan): value MUSS die Einheit 'mm[Hg]' nutzen  oder die Einheit '%' nutzen </assert>
      <let name="digitok"
           value="matches(string(@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4174-2017-05-04T000000.html"
              test="$digitok or @nullFlavor">(kapnometrietranscutan): @value ist keine gültige PQ Zahl <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4174-2017-05-04T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(kapnometrietranscutan): value/@unit (PQ) MUSS eine gültige UCUM-Einheit sein (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
