<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4183
Name: Inspirations- Expirationsverhältnis
Description: Inspirations- Expirationsverhältnis
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4183-2017-05-07T000000">
   <title>Inspirations- Expirationsverhältnis</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4183
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4183']]]
Item: (InspirationsExpirationsverhaeltnis)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4183']]]"
         id="d127e7100-false-d116396e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4183-2017-05-07T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4183']])&gt;=1">(InspirationsExpirationsverhaeltnis): Element hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4183']] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4183-2017-05-07T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4183']])&lt;=1">(InspirationsExpirationsverhaeltnis): Element hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4183']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4183
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4183']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4183']]
Item: (InspirationsExpirationsverhaeltnis)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4183']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4183']]"
         id="d127e7131-false-d116420e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4183-2017-05-07T000000.html"
              test="string(@classCode)=('OBS') or not(@classCode)">(InspirationsExpirationsverhaeltnis): Der Wert von @classCode MUSS 'OBS' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4183-2017-05-07T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(InspirationsExpirationsverhaeltnis): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4183-2017-05-07T000000.html"
              test="@moodCode">(InspirationsExpirationsverhaeltnis): Attribut @moodCode MUSS vorkommen.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4183-2017-05-07T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(InspirationsExpirationsverhaeltnis): Attribute @moodCode MUSS vom Datentyp 'cs' sein</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@moodCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(doc('include/voc-1.2.276.0.76.11.447-2017-05-31T000000.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4183-2017-05-07T000000.html"
              test="not(@moodCode) or count($theAttValue) = count($theAttCheck)">(InspirationsExpirationsverhaeltnis): Der Wert von moodCode MUSS gewählt werden aus Value Set '1.2.276.0.76.11.447' ActMoodCodes (2017-05-31T00:00:00).</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4183-2017-05-07T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4183'])&gt;=1">(InspirationsExpirationsverhaeltnis): Element hl7:templateId[@root='1.2.276.0.76.10.4183'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4183-2017-05-07T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4183'])&lt;=1">(InspirationsExpirationsverhaeltnis): Element hl7:templateId[@root='1.2.276.0.76.10.4183'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4183-2017-05-07T000000.html"
              test="count(hl7:id)&gt;=1">(InspirationsExpirationsverhaeltnis): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4183-2017-05-07T000000.html"
              test="count(hl7:id)&lt;=1">(InspirationsExpirationsverhaeltnis): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4183-2017-05-07T000000.html"
              test="count(hl7:code[(@code='75931-6' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&gt;=1">(InspirationsExpirationsverhaeltnis): Element hl7:code[(@code='75931-6' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4183-2017-05-07T000000.html"
              test="count(hl7:code[(@code='75931-6' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&lt;=1">(InspirationsExpirationsverhaeltnis): Element hl7:code[(@code='75931-6' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4183-2017-05-07T000000.html"
              test="count(hl7:text)&lt;=1">(InspirationsExpirationsverhaeltnis): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4183-2017-05-07T000000.html"
              test="count(hl7:statusCode[@code='completed' or @nullFlavor])&gt;=1">(InspirationsExpirationsverhaeltnis): Element hl7:statusCode[@code='completed' or @nullFlavor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4183-2017-05-07T000000.html"
              test="count(hl7:statusCode[@code='completed' or @nullFlavor])&lt;=1">(InspirationsExpirationsverhaeltnis): Element hl7:statusCode[@code='completed' or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4183-2017-05-07T000000.html"
              test="count(hl7:effectiveTime)&gt;=1">(InspirationsExpirationsverhaeltnis): Element hl7:effectiveTime ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4183-2017-05-07T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(InspirationsExpirationsverhaeltnis): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4183-2017-05-07T000000.html"
              test="count(hl7:value[not(@nullFlavor)])&gt;=1">(InspirationsExpirationsverhaeltnis): Element hl7:value[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4183-2017-05-07T000000.html"
              test="count(hl7:value[not(@nullFlavor)])&lt;=1">(InspirationsExpirationsverhaeltnis): Element hl7:value[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4183
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4183']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4183']]/hl7:templateId[@root='1.2.276.0.76.10.4183']
Item: (InspirationsExpirationsverhaeltnis)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4183']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4183']]/hl7:templateId[@root='1.2.276.0.76.10.4183']"
         id="d127e7140-false-d116536e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4183-2017-05-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(InspirationsExpirationsverhaeltnis): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4183-2017-05-07T000000.html"
              test="string(@root)=('1.2.276.0.76.10.4183')">(InspirationsExpirationsverhaeltnis): Der Wert von @root MUSS '1.2.276.0.76.10.4183' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4183-2017-05-07T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(InspirationsExpirationsverhaeltnis): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4183
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4183']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4183']]/hl7:id
Item: (InspirationsExpirationsverhaeltnis)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4183']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4183']]/hl7:id"
         id="d127e7145-false-d116557e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4183-2017-05-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(InspirationsExpirationsverhaeltnis): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4183
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4183']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4183']]/hl7:code[(@code='75931-6' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]
Item: (InspirationsExpirationsverhaeltnis)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4183']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4183']]/hl7:code[(@code='75931-6' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]"
         id="d127e7147-false-d116571e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4183-2017-05-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(InspirationsExpirationsverhaeltnis): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4183-2017-05-07T000000.html"
              test="@nullFlavor or (@code='75931-6' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Inspiration/​Expiration time Ratio' and @codeSystemName='LOINC')">(InspirationsExpirationsverhaeltnis): Der Elementinhalt MUSS einer von 'code '75931-6' codeSystem '2.16.840.1.113883.6.1' displayName='Inspiration/​Expiration time Ratio' codeSystemName='LOINC'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4183
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4183']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4183']]/hl7:text
Item: (InspirationsExpirationsverhaeltnis)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4183']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4183']]/hl7:text"
         id="d127e7153-false-d116591e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4183-2017-05-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(InspirationsExpirationsverhaeltnis): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4183
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4183']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4183']]/hl7:statusCode[@code='completed' or @nullFlavor]
Item: (InspirationsExpirationsverhaeltnis)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4183']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4183']]/hl7:statusCode[@code='completed' or @nullFlavor]"
         id="d127e7155-false-d116605e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4183-2017-05-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(InspirationsExpirationsverhaeltnis): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4183-2017-05-07T000000.html"
              test="@nullFlavor or (@code='completed')">(InspirationsExpirationsverhaeltnis): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4183
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4183']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4183']]/hl7:effectiveTime
Item: (InspirationsExpirationsverhaeltnis)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4183']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4183']]/hl7:effectiveTime"
         id="d127e7160-false-d116625e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4183-2017-05-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(InspirationsExpirationsverhaeltnis): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4183
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4183']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4183']]/hl7:value[not(@nullFlavor)]
Item: (InspirationsExpirationsverhaeltnis)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4183']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4183']]/hl7:value[not(@nullFlavor)]"
         id="d127e7162-false-d116639e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4183-2017-05-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(InspirationsExpirationsverhaeltnis): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PQ" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4183-2017-05-07T000000.html"
              test="(@nullFlavor or (@unit='{ratio}'))">(InspirationsExpirationsverhaeltnis): value MUSS die Einheit '{ratio}' nutzen </assert>
      <let name="digitok"
           value="matches(string(@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4183-2017-05-07T000000.html"
              test="$digitok or @nullFlavor">(InspirationsExpirationsverhaeltnis): @value ist keine gültige PQ Zahl <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4183-2017-05-07T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(InspirationsExpirationsverhaeltnis): value/@unit (PQ) MUSS eine gültige UCUM-Einheit sein (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
