<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4184
Name: Spitzendruck
Description: Spitzendruck
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4184-2017-05-07T000000">
   <title>Spitzendruck</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4184
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4184']]]
Item: (Spitzendruck)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4184']]]"
         id="d127e7169-false-d116668e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4184-2017-05-07T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4184']])&gt;=1">(Spitzendruck): Element hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4184']] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4184-2017-05-07T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4184']])&lt;=1">(Spitzendruck): Element hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4184']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4184
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4184']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4184']]
Item: (Spitzendruck)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4184']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4184']]"
         id="d127e7200-false-d116692e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4184-2017-05-07T000000.html"
              test="string(@classCode)=('OBS')">(Spitzendruck): Der Wert von @classCode MUSS 'OBS' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4184-2017-05-07T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(Spitzendruck): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4184-2017-05-07T000000.html"
              test="@moodCode">(Spitzendruck): Attribut @moodCode MUSS vorkommen.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4184-2017-05-07T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(Spitzendruck): Attribute @moodCode MUSS vom Datentyp 'cs' sein</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@moodCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(doc('include/voc-1.2.276.0.76.11.447-2017-05-31T000000.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4184-2017-05-07T000000.html"
              test="not(@moodCode) or count($theAttValue) = count($theAttCheck)">(Spitzendruck): Der Wert von moodCode MUSS gewählt werden aus Value Set '1.2.276.0.76.11.447' ActMoodCodes (2017-05-31T00:00:00).</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4184-2017-05-07T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4184'])&gt;=1">(Spitzendruck): Element hl7:templateId[@root='1.2.276.0.76.10.4184'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4184-2017-05-07T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4184'])&lt;=1">(Spitzendruck): Element hl7:templateId[@root='1.2.276.0.76.10.4184'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4184-2017-05-07T000000.html"
              test="count(hl7:id)&gt;=1">(Spitzendruck): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4184-2017-05-07T000000.html"
              test="count(hl7:id)&lt;=1">(Spitzendruck): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4184-2017-05-07T000000.html"
              test="count(hl7:code[(@code='19978-6' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor])&gt;=1">(Spitzendruck): Element hl7:code[(@code='19978-6' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4184-2017-05-07T000000.html"
              test="count(hl7:code[(@code='19978-6' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor])&lt;=1">(Spitzendruck): Element hl7:code[(@code='19978-6' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4184-2017-05-07T000000.html"
              test="count(hl7:text)&lt;=1">(Spitzendruck): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4184-2017-05-07T000000.html"
              test="count(hl7:statusCode[@code='completed' or @nullFlavor])&gt;=1">(Spitzendruck): Element hl7:statusCode[@code='completed' or @nullFlavor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4184-2017-05-07T000000.html"
              test="count(hl7:statusCode[@code='completed' or @nullFlavor])&lt;=1">(Spitzendruck): Element hl7:statusCode[@code='completed' or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4184-2017-05-07T000000.html"
              test="count(hl7:effectiveTime)&gt;=1">(Spitzendruck): Element hl7:effectiveTime ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4184-2017-05-07T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(Spitzendruck): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4184-2017-05-07T000000.html"
              test="count(hl7:value)&gt;=1">(Spitzendruck): Element hl7:value ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4184-2017-05-07T000000.html"
              test="count(hl7:value)&lt;=1">(Spitzendruck): Element hl7:value kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4184
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4184']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4184']]/hl7:templateId[@root='1.2.276.0.76.10.4184']
Item: (Spitzendruck)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4184']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4184']]/hl7:templateId[@root='1.2.276.0.76.10.4184']"
         id="d127e7209-false-d116808e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4184-2017-05-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Spitzendruck): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4184-2017-05-07T000000.html"
              test="string(@root)=('1.2.276.0.76.10.4184')">(Spitzendruck): Der Wert von @root MUSS '1.2.276.0.76.10.4184' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4184-2017-05-07T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(Spitzendruck): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4184
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4184']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4184']]/hl7:id
Item: (Spitzendruck)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4184']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4184']]/hl7:id"
         id="d127e7214-false-d116829e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4184-2017-05-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Spitzendruck): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4184
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4184']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4184']]/hl7:code[(@code='19978-6' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor]
Item: (Spitzendruck)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4184']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4184']]/hl7:code[(@code='19978-6' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor]"
         id="d127e7216-false-d116843e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4184-2017-05-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Spitzendruck): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4184-2017-05-07T000000.html"
              test="@nullFlavor or (@code='19978-6' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Maximum [Pressure] Trachea airway --during inspiration on ventilator' and @codeSystemName='LOINC')">(Spitzendruck): Der Elementinhalt MUSS einer von 'code '19978-6' codeSystem '2.16.840.1.113883.6.1' displayName='Maximum [Pressure] Trachea airway --during inspiration on ventilator' codeSystemName='LOINC'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4184
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4184']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4184']]/hl7:text
Item: (Spitzendruck)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4184']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4184']]/hl7:text"
         id="d127e7222-false-d116863e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4184-2017-05-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Spitzendruck): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4184
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4184']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4184']]/hl7:statusCode[@code='completed' or @nullFlavor]
Item: (Spitzendruck)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4184']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4184']]/hl7:statusCode[@code='completed' or @nullFlavor]"
         id="d127e7224-false-d116877e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4184-2017-05-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Spitzendruck): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4184-2017-05-07T000000.html"
              test="@nullFlavor or (@code='completed')">(Spitzendruck): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4184
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4184']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4184']]/hl7:effectiveTime
Item: (Spitzendruck)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4184']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4184']]/hl7:effectiveTime"
         id="d127e7229-false-d116897e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4184-2017-05-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Spitzendruck): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4184
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4184']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4184']]/hl7:value
Item: (Spitzendruck)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4184']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4184']]/hl7:value"
         id="d127e7231-false-d116911e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4184-2017-05-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Spitzendruck): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PQ" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4184-2017-05-07T000000.html"
              test="(@nullFlavor or (@unit='cm[H2O]'))">(Spitzendruck): value MUSS die Einheit 'cm[H2O]' nutzen </assert>
      <let name="digitok"
           value="matches(string(@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4184-2017-05-07T000000.html"
              test="$digitok or @nullFlavor">(Spitzendruck): @value ist keine gültige PQ Zahl <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4184-2017-05-07T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Spitzendruck): value/@unit (PQ) MUSS eine gültige UCUM-Einheit sein (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
