<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4189
Name: Drucktrigger
Description: Drucktrigger
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4189-2017-05-08T000000">
   <title>Drucktrigger</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4189
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4189']]]
Item: (Drucktrigger)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4189']]]"
         id="d127e7508-false-d118031e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4189-2017-05-08T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4189']])&gt;=1">(Drucktrigger): Element hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4189']] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4189-2017-05-08T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4189']])&lt;=1">(Drucktrigger): Element hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4189']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4189
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4189']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4189']]
Item: (Drucktrigger)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4189']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4189']]"
         id="d127e7541-false-d118055e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4189-2017-05-08T000000.html"
              test="string(@classCode)=('OBS')">(Drucktrigger): Der Wert von @classCode MUSS 'OBS' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4189-2017-05-08T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(Drucktrigger): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4189-2017-05-08T000000.html"
              test="@moodCode">(Drucktrigger): Attribut @moodCode MUSS vorkommen.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4189-2017-05-08T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(Drucktrigger): Attribute @moodCode MUSS vom Datentyp 'cs' sein</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@moodCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(doc('include/voc-1.2.276.0.76.11.447-2017-05-31T000000.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4189-2017-05-08T000000.html"
              test="not(@moodCode) or count($theAttValue) = count($theAttCheck)">(Drucktrigger): Der Wert von moodCode MUSS gewählt werden aus Value Set '1.2.276.0.76.11.447' ActMoodCodes (2017-05-31T00:00:00).</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4189-2017-05-08T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4189'])&gt;=1">(Drucktrigger): Element hl7:templateId[@root='1.2.276.0.76.10.4189'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4189-2017-05-08T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4189'])&lt;=1">(Drucktrigger): Element hl7:templateId[@root='1.2.276.0.76.10.4189'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4189-2017-05-08T000000.html"
              test="count(hl7:id)&gt;=1">(Drucktrigger): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4189-2017-05-08T000000.html"
              test="count(hl7:id)&lt;=1">(Drucktrigger): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4189-2017-05-08T000000.html"
              test="count(hl7:code[(@code='20061-8' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&gt;=1">(Drucktrigger): Element hl7:code[(@code='20061-8' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4189-2017-05-08T000000.html"
              test="count(hl7:code[(@code='20061-8' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&lt;=1">(Drucktrigger): Element hl7:code[(@code='20061-8' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4189-2017-05-08T000000.html"
              test="count(hl7:text)&lt;=1">(Drucktrigger): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4189-2017-05-08T000000.html"
              test="count(hl7:statusCode[@code='completed' or @nullFlavor])&gt;=1">(Drucktrigger): Element hl7:statusCode[@code='completed' or @nullFlavor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4189-2017-05-08T000000.html"
              test="count(hl7:statusCode[@code='completed' or @nullFlavor])&lt;=1">(Drucktrigger): Element hl7:statusCode[@code='completed' or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4189-2017-05-08T000000.html"
              test="count(hl7:effectiveTime)&gt;=1">(Drucktrigger): Element hl7:effectiveTime ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4189-2017-05-08T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(Drucktrigger): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4189-2017-05-08T000000.html"
              test="count(hl7:value[not(@nullFlavor)])&gt;=1">(Drucktrigger): Element hl7:value[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4189-2017-05-08T000000.html"
              test="count(hl7:value[not(@nullFlavor)])&lt;=1">(Drucktrigger): Element hl7:value[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4189-2017-05-08T000000.html"
              test="count(hl7:methodCode[(@code='281409003' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)])&gt;=1">(Drucktrigger): Element hl7:methodCode[(@code='281409003' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4189-2017-05-08T000000.html"
              test="count(hl7:methodCode[(@code='281409003' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)])&lt;=1">(Drucktrigger): Element hl7:methodCode[(@code='281409003' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4189
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4189']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4189']]/hl7:templateId[@root='1.2.276.0.76.10.4189']
Item: (Drucktrigger)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4189']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4189']]/hl7:templateId[@root='1.2.276.0.76.10.4189']"
         id="d127e7550-false-d118183e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4189-2017-05-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Drucktrigger): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4189-2017-05-08T000000.html"
              test="string(@root)=('1.2.276.0.76.10.4189')">(Drucktrigger): Der Wert von @root MUSS '1.2.276.0.76.10.4189' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4189-2017-05-08T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(Drucktrigger): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4189
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4189']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4189']]/hl7:id
Item: (Drucktrigger)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4189']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4189']]/hl7:id"
         id="d127e7555-false-d118204e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4189-2017-05-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Drucktrigger): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4189
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4189']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4189']]/hl7:code[(@code='20061-8' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]
Item: (Drucktrigger)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4189']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4189']]/hl7:code[(@code='20061-8' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]"
         id="d127e7557-false-d118218e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4189-2017-05-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Drucktrigger): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4189-2017-05-08T000000.html"
              test="@nullFlavor or (@code='20061-8' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Airway pressure by Airway pressure monitor --on ventilator.pressure targeted control' and @codeSystemName='LOINC')">(Drucktrigger): Der Elementinhalt MUSS einer von 'code '20061-8' codeSystem '2.16.840.1.113883.6.1' displayName='Airway pressure by Airway pressure monitor --on ventilator.pressure targeted control' codeSystemName='LOINC'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4189
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4189']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4189']]/hl7:text
Item: (Drucktrigger)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4189']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4189']]/hl7:text"
         id="d127e7563-false-d118238e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4189-2017-05-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Drucktrigger): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4189
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4189']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4189']]/hl7:statusCode[@code='completed' or @nullFlavor]
Item: (Drucktrigger)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4189']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4189']]/hl7:statusCode[@code='completed' or @nullFlavor]"
         id="d127e7565-false-d118252e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4189-2017-05-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Drucktrigger): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4189-2017-05-08T000000.html"
              test="@nullFlavor or (@code='completed')">(Drucktrigger): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4189
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4189']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4189']]/hl7:effectiveTime
Item: (Drucktrigger)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4189']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4189']]/hl7:effectiveTime"
         id="d127e7570-false-d118272e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4189-2017-05-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Drucktrigger): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4189
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4189']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4189']]/hl7:value[not(@nullFlavor)]
Item: (Drucktrigger)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4189']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4189']]/hl7:value[not(@nullFlavor)]"
         id="d127e7572-false-d118286e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4189-2017-05-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Drucktrigger): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PQ" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4189-2017-05-08T000000.html"
              test="(@nullFlavor or (@unit='cm[H2O]'))">(Drucktrigger): value MUSS die Einheit 'cm[H2O]' nutzen </assert>
      <let name="digitok"
           value="matches(string(@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4189-2017-05-08T000000.html"
              test="$digitok or @nullFlavor">(Drucktrigger): @value ist keine gültige PQ Zahl <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4189-2017-05-08T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Drucktrigger): value/@unit (PQ) MUSS eine gültige UCUM-Einheit sein (<value-of select="$UCUMtest"/>).</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4189
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4189']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4189']]/hl7:methodCode[(@code='281409003' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]
Item: (Drucktrigger)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4189']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4189']]/hl7:methodCode[(@code='281409003' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]"
         id="d127e7577-false-d118313e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4189-2017-05-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Drucktrigger): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4189-2017-05-08T000000.html"
              test="@nullFlavor or (@code='281409003' and @codeSystem='2.16.840.1.113883.6.96' and @displayName='Pressure triggering (qualifier value)' and @codeSystemName='SNOMED CT')">(Drucktrigger): Der Elementinhalt MUSS einer von 'code '281409003' codeSystem '2.16.840.1.113883.6.96' displayName='Pressure triggering (qualifier value)' codeSystemName='SNOMED CT'' sein.</assert>
   </rule>
</pattern>
