<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4197
Name: CDA Supply Medizingeräte
Description: Entry, welcher Informationen zu verfügbaren Medizingeräten enthält
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4197-2017-06-01T000000">
   <title>CDA Supply Medizingeräte</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4197
Context: *[hl7:supply[hl7:templateId[@root='1.2.276.0.76.10.4197']]]
Item: (CDASupplyMedizingeraete)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4197
Context: *[hl7:supply[hl7:templateId[@root='1.2.276.0.76.10.4197']]]/hl7:supply[hl7:templateId[@root='1.2.276.0.76.10.4197']]
Item: (CDASupplyMedizingeraete)
-->

   <rule context="*[hl7:supply[hl7:templateId[@root='1.2.276.0.76.10.4197']]]/hl7:supply[hl7:templateId[@root='1.2.276.0.76.10.4197']]"
         id="d127e7937-false-d120122e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4197-2017-06-01T000000.html"
              test="string(@classCode)=('SPLY')">(CDASupplyMedizingeraete): Der Wert von @classCode MUSS 'SPLY' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4197-2017-06-01T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(CDASupplyMedizingeraete): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4197-2017-06-01T000000.html"
              test="string(@moodCode)=('EVN')">(CDASupplyMedizingeraete): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4197-2017-06-01T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(CDASupplyMedizingeraete): Attribute @moodCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4197-2017-06-01T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4197'])&gt;=1">(CDASupplyMedizingeraete): Element hl7:templateId[@root='1.2.276.0.76.10.4197'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4197-2017-06-01T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4197'])&lt;=1">(CDASupplyMedizingeraete): Element hl7:templateId[@root='1.2.276.0.76.10.4197'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4197-2017-06-01T000000.html"
              test="count(hl7:id)&lt;=1">(CDASupplyMedizingeraete): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4197-2017-06-01T000000.html"
              test="count(hl7:code)&lt;=1">(CDASupplyMedizingeraete): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4197-2017-06-01T000000.html"
              test="count(hl7:text)&lt;=1">(CDASupplyMedizingeraete): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4197-2017-06-01T000000.html"
              test="count(hl7:statusCode)&lt;=1">(CDASupplyMedizingeraete): Element hl7:statusCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4197-2017-06-01T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(CDASupplyMedizingeraete): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4197-2017-06-01T000000.html"
              test="count(hl7:expectedUseTime)&lt;=1">(CDASupplyMedizingeraete): Element hl7:expectedUseTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4197-2017-06-01T000000.html"
              test="count(hl7:product)&lt;=1">(CDASupplyMedizingeraete): Element hl7:product kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4197
Context: *[hl7:supply[hl7:templateId[@root='1.2.276.0.76.10.4197']]]/hl7:supply[hl7:templateId[@root='1.2.276.0.76.10.4197']]/hl7:templateId[@root='1.2.276.0.76.10.4197']
Item: (CDASupplyMedizingeraete)
-->

   <rule context="*[hl7:supply[hl7:templateId[@root='1.2.276.0.76.10.4197']]]/hl7:supply[hl7:templateId[@root='1.2.276.0.76.10.4197']]/hl7:templateId[@root='1.2.276.0.76.10.4197']"
         id="d127e7943-false-d120265e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4197-2017-06-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDASupplyMedizingeraete): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4197-2017-06-01T000000.html"
              test="string(@root)=('1.2.276.0.76.10.4197')">(CDASupplyMedizingeraete): Der Wert von @root MUSS '1.2.276.0.76.10.4197' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4197-2017-06-01T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(CDASupplyMedizingeraete): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4197
Context: *[hl7:supply[hl7:templateId[@root='1.2.276.0.76.10.4197']]]/hl7:supply[hl7:templateId[@root='1.2.276.0.76.10.4197']]/hl7:id
Item: (CDASupplyMedizingeraete)
-->

   <rule context="*[hl7:supply[hl7:templateId[@root='1.2.276.0.76.10.4197']]]/hl7:supply[hl7:templateId[@root='1.2.276.0.76.10.4197']]/hl7:id"
         id="d127e7948-false-d120286e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4197-2017-06-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDASupplyMedizingeraete): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4197
Context: *[hl7:supply[hl7:templateId[@root='1.2.276.0.76.10.4197']]]/hl7:supply[hl7:templateId[@root='1.2.276.0.76.10.4197']]/hl7:code
Item: (CDASupplyMedizingeraete)
-->

   <rule context="*[hl7:supply[hl7:templateId[@root='1.2.276.0.76.10.4197']]]/hl7:supply[hl7:templateId[@root='1.2.276.0.76.10.4197']]/hl7:code"
         id="d127e7950-false-d120300e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4197-2017-06-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDASupplyMedizingeraete): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4197-2017-06-01T000000.html"
              test="@nullFlavor or (@code='63653004' and @codeSystem='2.16.840.1.113883.6.96' and @displayName='Biomedical device (physical object)' and @codeSystemName='SNOMED CT')">(CDASupplyMedizingeraete): Der Elementinhalt MUSS einer von 'code '63653004' codeSystem '2.16.840.1.113883.6.96' displayName='Biomedical device (physical object)' codeSystemName='SNOMED CT'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4197
Context: *[hl7:supply[hl7:templateId[@root='1.2.276.0.76.10.4197']]]/hl7:supply[hl7:templateId[@root='1.2.276.0.76.10.4197']]/hl7:text
Item: (CDASupplyMedizingeraete)
-->

   <rule context="*[hl7:supply[hl7:templateId[@root='1.2.276.0.76.10.4197']]]/hl7:supply[hl7:templateId[@root='1.2.276.0.76.10.4197']]/hl7:text"
         id="d127e7956-false-d120320e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4197-2017-06-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDASupplyMedizingeraete): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4197
Context: *[hl7:supply[hl7:templateId[@root='1.2.276.0.76.10.4197']]]/hl7:supply[hl7:templateId[@root='1.2.276.0.76.10.4197']]/hl7:statusCode
Item: (CDASupplyMedizingeraete)
-->

   <rule context="*[hl7:supply[hl7:templateId[@root='1.2.276.0.76.10.4197']]]/hl7:supply[hl7:templateId[@root='1.2.276.0.76.10.4197']]/hl7:statusCode"
         id="d127e7958-false-d120334e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4197-2017-06-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDASupplyMedizingeraete): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4197-2017-06-01T000000.html"
              test="@nullFlavor or (@code='completed')">(CDASupplyMedizingeraete): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4197
Context: *[hl7:supply[hl7:templateId[@root='1.2.276.0.76.10.4197']]]/hl7:supply[hl7:templateId[@root='1.2.276.0.76.10.4197']]/hl7:effectiveTime
Item: (CDASupplyMedizingeraete)
-->

   <rule context="*[hl7:supply[hl7:templateId[@root='1.2.276.0.76.10.4197']]]/hl7:supply[hl7:templateId[@root='1.2.276.0.76.10.4197']]/hl7:effectiveTime"
         id="d127e7963-false-d120354e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4197-2017-06-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SXCM_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDASupplyMedizingeraete): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SXCM_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SXCM_TS"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4197
Context: *[hl7:supply[hl7:templateId[@root='1.2.276.0.76.10.4197']]]/hl7:supply[hl7:templateId[@root='1.2.276.0.76.10.4197']]/hl7:expectedUseTime
Item: (CDASupplyMedizingeraete)
-->

   <rule context="*[hl7:supply[hl7:templateId[@root='1.2.276.0.76.10.4197']]]/hl7:supply[hl7:templateId[@root='1.2.276.0.76.10.4197']]/hl7:expectedUseTime"
         id="d127e7965-false-d120368e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4197-2017-06-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDASupplyMedizingeraete): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4197
Context: *[hl7:supply[hl7:templateId[@root='1.2.276.0.76.10.4197']]]/hl7:supply[hl7:templateId[@root='1.2.276.0.76.10.4197']]/hl7:product
Item: (CDASupplyMedizingeraete)
-->
   <rule context="*[hl7:supply[hl7:templateId[@root='1.2.276.0.76.10.4197']]]/hl7:supply[hl7:templateId[@root='1.2.276.0.76.10.4197']]/hl7:product">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4197-2017-06-01T000000.html"
              test="string(@typeCode)=('PRD') or not(@typeCode)">(CDASupplyMedizingeraete): Der Wert von @typeCode MUSS 'PRD' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4197-2017-06-01T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(CDASupplyMedizingeraete): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4200
Context: *[hl7:supply[hl7:templateId[@root='1.2.276.0.76.10.4197']]]/hl7:supply[hl7:templateId[@root='1.2.276.0.76.10.4197']]/hl7:product
Item: (CDAManufacturedProductMedizingeraete)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4200
Context: *[hl7:supply[hl7:templateId[@root='1.2.276.0.76.10.4197']]]/hl7:supply[hl7:templateId[@root='1.2.276.0.76.10.4197']]/hl7:product/hl7:manufacturedProduct
Item: (CDAManufacturedProductMedizingeraete)
-->
   <rule context="*[hl7:supply[hl7:templateId[@root='1.2.276.0.76.10.4197']]]/hl7:supply[hl7:templateId[@root='1.2.276.0.76.10.4197']]/hl7:product/hl7:manufacturedProduct">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4200-2017-05-14T000000.html"
              test="string(@classCode)=('MANU') or not(@classCode)">(CDAManufacturedProductMedizingeraete): Der Wert von @classCode MUSS 'MANU' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4200-2017-05-14T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(CDAManufacturedProductMedizingeraete): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4200-2017-05-14T000000.html"
              test="count(hl7:manufacturedMaterial)&gt;=1">(CDAManufacturedProductMedizingeraete): Element hl7:manufacturedMaterial ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4200-2017-05-14T000000.html"
              test="count(hl7:manufacturedMaterial)&lt;=1">(CDAManufacturedProductMedizingeraete): Element hl7:manufacturedMaterial kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4200-2017-05-14T000000.html"
              test="count(hl7:manufacturerOrganization)&lt;=1">(CDAManufacturedProductMedizingeraete): Element hl7:manufacturerOrganization kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4200
Context: *[hl7:supply[hl7:templateId[@root='1.2.276.0.76.10.4197']]]/hl7:supply[hl7:templateId[@root='1.2.276.0.76.10.4197']]/hl7:product/hl7:manufacturedProduct/hl7:id
Item: (CDAManufacturedProductMedizingeraete)
-->
   <rule context="*[hl7:supply[hl7:templateId[@root='1.2.276.0.76.10.4197']]]/hl7:supply[hl7:templateId[@root='1.2.276.0.76.10.4197']]/hl7:product/hl7:manufacturedProduct/hl7:id">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4200-2017-05-14T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAManufacturedProductMedizingeraete): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4198
Context: *[hl7:supply[hl7:templateId[@root='1.2.276.0.76.10.4197']]]/hl7:supply[hl7:templateId[@root='1.2.276.0.76.10.4197']]/hl7:product/hl7:manufacturedProduct/hl7:manufacturedMaterial
Item: (MaterialMedizingeraete)
-->
   <rule context="*[hl7:supply[hl7:templateId[@root='1.2.276.0.76.10.4197']]]/hl7:supply[hl7:templateId[@root='1.2.276.0.76.10.4197']]/hl7:product/hl7:manufacturedProduct/hl7:manufacturedMaterial">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4198-2017-05-14T000000.html"
              test="string(@classCode)=('MMAT') or not(@classCode)">(MaterialMedizingeraete): Der Wert von @classCode MUSS 'MMAT' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4198-2017-05-14T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(MaterialMedizingeraete): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4198-2017-05-14T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(MaterialMedizingeraete): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4198-2017-05-14T000000.html"
              test="not(@determinerCode) or (string-length(@determinerCode)&gt;0 and not(matches(@determinerCode,'\s')))">(MaterialMedizingeraete): Attribute @determinerCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4198-2017-05-14T000000.html"
              test="count(hl7:code)&lt;=1">(MaterialMedizingeraete): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4198-2017-05-14T000000.html"
              test="count(hl7:name)&lt;=1">(MaterialMedizingeraete): Element hl7:name kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4198-2017-05-14T000000.html"
              test="count(hl7:lotNumberText)&lt;=1">(MaterialMedizingeraete): Element hl7:lotNumberText kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4198
Context: *[hl7:supply[hl7:templateId[@root='1.2.276.0.76.10.4197']]]/hl7:supply[hl7:templateId[@root='1.2.276.0.76.10.4197']]/hl7:product/hl7:manufacturedProduct/hl7:manufacturedMaterial/hl7:code
Item: (MaterialMedizingeraete)
-->
   <rule context="*[hl7:supply[hl7:templateId[@root='1.2.276.0.76.10.4197']]]/hl7:supply[hl7:templateId[@root='1.2.276.0.76.10.4197']]/hl7:product/hl7:manufacturedProduct/hl7:manufacturedMaterial/hl7:code">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4198-2017-05-14T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MaterialMedizingeraete): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4198-2017-05-14T000000.html"
              test="@nullFlavor or exists(doc('include/voc-1.2.276.0.76.11.443-2017-05-14T000000.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(MaterialMedizingeraete): Der Elementinhalt MUSS einer von '1.2.276.0.76.11.443 Medizingeräte (2017-05-14T00:00:00)' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4198
Context: *[hl7:supply[hl7:templateId[@root='1.2.276.0.76.10.4197']]]/hl7:supply[hl7:templateId[@root='1.2.276.0.76.10.4197']]/hl7:product/hl7:manufacturedProduct/hl7:manufacturedMaterial/hl7:name
Item: (MaterialMedizingeraete)
-->
   <rule context="*[hl7:supply[hl7:templateId[@root='1.2.276.0.76.10.4197']]]/hl7:supply[hl7:templateId[@root='1.2.276.0.76.10.4197']]/hl7:product/hl7:manufacturedProduct/hl7:manufacturedMaterial/hl7:name">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4198-2017-05-14T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='EN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MaterialMedizingeraete): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:EN" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="EN"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4198
Context: *[hl7:supply[hl7:templateId[@root='1.2.276.0.76.10.4197']]]/hl7:supply[hl7:templateId[@root='1.2.276.0.76.10.4197']]/hl7:product/hl7:manufacturedProduct/hl7:manufacturedMaterial/hl7:lotNumberText
Item: (MaterialMedizingeraete)
-->
   <rule context="*[hl7:supply[hl7:templateId[@root='1.2.276.0.76.10.4197']]]/hl7:supply[hl7:templateId[@root='1.2.276.0.76.10.4197']]/hl7:product/hl7:manufacturedProduct/hl7:manufacturedMaterial/hl7:lotNumberText">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4198-2017-05-14T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MaterialMedizingeraete): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4200
Context: *[hl7:supply[hl7:templateId[@root='1.2.276.0.76.10.4197']]]/hl7:supply[hl7:templateId[@root='1.2.276.0.76.10.4197']]/hl7:product/hl7:manufacturedProduct/hl7:manufacturerOrganization
Item: (CDAManufacturedProductMedizingeraete)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90011
Context: *[hl7:supply[hl7:templateId[@root='1.2.276.0.76.10.4197']]]/hl7:supply[hl7:templateId[@root='1.2.276.0.76.10.4197']]/hl7:product/hl7:manufacturedProduct/hl7:manufacturerOrganization
Item: (OrganizationElements)
-->
   <rule context="*[hl7:supply[hl7:templateId[@root='1.2.276.0.76.10.4197']]]/hl7:supply[hl7:templateId[@root='1.2.276.0.76.10.4197']]/hl7:product/hl7:manufacturedProduct/hl7:manufacturerOrganization">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="string(@classCode)=('ORG') or not(@classCode)">(OrganizationElements): Der Wert von @classCode MUSS 'ORG' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(OrganizationElements): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="count(hl7:name[not(@nullFlavor)])&gt;=1">(OrganizationElements): Element hl7:name[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="count(hl7:name[not(@nullFlavor)])&lt;=1">(OrganizationElements): Element hl7:name[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="count(hl7:addr)&lt;=1">(OrganizationElements): Element hl7:addr kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90011
Context: *[hl7:supply[hl7:templateId[@root='1.2.276.0.76.10.4197']]]/hl7:supply[hl7:templateId[@root='1.2.276.0.76.10.4197']]/hl7:product/hl7:manufacturedProduct/hl7:manufacturerOrganization/hl7:id
Item: (OrganizationElements)
-->
   <rule context="*[hl7:supply[hl7:templateId[@root='1.2.276.0.76.10.4197']]]/hl7:supply[hl7:templateId[@root='1.2.276.0.76.10.4197']]/hl7:product/hl7:manufacturedProduct/hl7:manufacturerOrganization/hl7:id">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90011
Context: *[hl7:supply[hl7:templateId[@root='1.2.276.0.76.10.4197']]]/hl7:supply[hl7:templateId[@root='1.2.276.0.76.10.4197']]/hl7:product/hl7:manufacturedProduct/hl7:manufacturerOrganization/hl7:name[not(@nullFlavor)]
Item: (OrganizationElements)
-->
   <rule context="*[hl7:supply[hl7:templateId[@root='1.2.276.0.76.10.4197']]]/hl7:supply[hl7:templateId[@root='1.2.276.0.76.10.4197']]/hl7:product/hl7:manufacturedProduct/hl7:manufacturerOrganization/hl7:name[not(@nullFlavor)]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ON" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90011
Context: *[hl7:supply[hl7:templateId[@root='1.2.276.0.76.10.4197']]]/hl7:supply[hl7:templateId[@root='1.2.276.0.76.10.4197']]/hl7:product/hl7:manufacturedProduct/hl7:manufacturerOrganization/hl7:telecom
Item: (OrganizationElements)
-->
   <rule context="*[hl7:supply[hl7:templateId[@root='1.2.276.0.76.10.4197']]]/hl7:supply[hl7:templateId[@root='1.2.276.0.76.10.4197']]/hl7:product/hl7:manufacturedProduct/hl7:manufacturerOrganization/hl7:telecom">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90011
Context: *[hl7:supply[hl7:templateId[@root='1.2.276.0.76.10.4197']]]/hl7:supply[hl7:templateId[@root='1.2.276.0.76.10.4197']]/hl7:product/hl7:manufacturedProduct/hl7:manufacturerOrganization/hl7:addr
Item: (OrganizationElements)
-->
   <rule context="*[hl7:supply[hl7:templateId[@root='1.2.276.0.76.10.4197']]]/hl7:supply[hl7:templateId[@root='1.2.276.0.76.10.4197']]/hl7:product/hl7:manufacturedProduct/hl7:manufacturerOrganization/hl7:addr">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>
</pattern>
