<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4202
Name: Einfuhr
Description: Menge der Flüssigkeitszufuhr
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4202-2017-05-15T000000">
   <title>Einfuhr</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4202
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4202']]]
Item: (Einfuhr)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4202
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4202']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4202']]
Item: (Einfuhr)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4202']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4202']]"
         id="d127e8125-false-d120843e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4202-2017-05-15T000000.html"
              test="string(@classCode)=('OBS') or not(@classCode)">(Einfuhr): Der Wert von @classCode MUSS 'OBS' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4202-2017-05-15T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(Einfuhr): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4202-2017-05-15T000000.html"
              test="string(@moodCode)=('EVN')">(Einfuhr): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4202-2017-05-15T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(Einfuhr): Attribute @moodCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4202-2017-05-15T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4202'])&gt;=1">(Einfuhr): Element hl7:templateId[@root='1.2.276.0.76.10.4202'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4202-2017-05-15T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4202'])&lt;=1">(Einfuhr): Element hl7:templateId[@root='1.2.276.0.76.10.4202'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4202-2017-05-15T000000.html"
              test="count(hl7:id)&lt;=1">(Einfuhr): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4202-2017-05-15T000000.html"
              test="count(hl7:code[(@code='8985-4' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&gt;=1">(Einfuhr): Element hl7:code[(@code='8985-4' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4202-2017-05-15T000000.html"
              test="count(hl7:code[(@code='8985-4' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&lt;=1">(Einfuhr): Element hl7:code[(@code='8985-4' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4202-2017-05-15T000000.html"
              test="count(hl7:text)&lt;=1">(Einfuhr): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4202-2017-05-15T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Einfuhr): Element hl7:statusCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4202-2017-05-15T000000.html"
              test="count(hl7:effectiveTime[not(@nullFlavor)])&gt;=1">(Einfuhr): Element hl7:effectiveTime[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4202-2017-05-15T000000.html"
              test="count(hl7:effectiveTime[not(@nullFlavor)])&lt;=1">(Einfuhr): Element hl7:effectiveTime[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4202-2017-05-15T000000.html"
              test="count(hl7:value[not(@nullFlavor)])&gt;=1">(Einfuhr): Element hl7:value[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4202-2017-05-15T000000.html"
              test="count(hl7:value[not(@nullFlavor)])&lt;=1">(Einfuhr): Element hl7:value[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4202
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4202']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4202']]/hl7:templateId[@root='1.2.276.0.76.10.4202']
Item: (Einfuhr)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4202']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4202']]/hl7:templateId[@root='1.2.276.0.76.10.4202']"
         id="d127e8131-false-d120942e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4202-2017-05-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Einfuhr): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4202-2017-05-15T000000.html"
              test="string(@root)=('1.2.276.0.76.10.4202')">(Einfuhr): Der Wert von @root MUSS '1.2.276.0.76.10.4202' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4202-2017-05-15T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(Einfuhr): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4202
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4202']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4202']]/hl7:id
Item: (Einfuhr)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4202']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4202']]/hl7:id"
         id="d127e8136-false-d120963e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4202-2017-05-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Einfuhr): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4202
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4202']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4202']]/hl7:code[(@code='8985-4' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]
Item: (Einfuhr)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4202']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4202']]/hl7:code[(@code='8985-4' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]"
         id="d127e8138-false-d120977e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4202-2017-05-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Einfuhr): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4202-2017-05-15T000000.html"
              test="@nullFlavor or (@code='8985-4' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Fluid intake Measured' and @codeSystemName='LOINC')">(Einfuhr): Der Elementinhalt MUSS einer von 'code '8985-4' codeSystem '2.16.840.1.113883.6.1' displayName='Fluid intake Measured' codeSystemName='LOINC'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4202
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4202']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4202']]/hl7:text
Item: (Einfuhr)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4202']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4202']]/hl7:text"
         id="d127e8144-false-d120997e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4202-2017-05-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Einfuhr): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4202
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4202']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4202']]/hl7:statusCode
Item: (Einfuhr)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4202']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4202']]/hl7:statusCode"
         id="d127e8146-false-d121011e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4202-2017-05-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Einfuhr): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4202-2017-05-15T000000.html"
              test="@nullFlavor or (@code='completed')">(Einfuhr): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4202
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4202']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4202']]/hl7:effectiveTime[not(@nullFlavor)]
Item: (Einfuhr)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4202']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4202']]/hl7:effectiveTime[not(@nullFlavor)]"
         id="d127e8151-false-d121031e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4202-2017-05-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Einfuhr): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4202
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4202']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4202']]/hl7:value[not(@nullFlavor)]
Item: (Einfuhr)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4202']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4202']]/hl7:value[not(@nullFlavor)]"
         id="d127e8157-false-d121045e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4202-2017-05-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Einfuhr): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PQ" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4202-2017-05-15T000000.html"
              test="(@nullFlavor or (@unit='mL'))">(Einfuhr): value MUSS die Einheit 'mL' nutzen </assert>
      <let name="digitok"
           value="matches(string(@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4202-2017-05-15T000000.html"
              test="$digitok or @nullFlavor">(Einfuhr): @value ist keine gültige PQ Zahl <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4202-2017-05-15T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Einfuhr): value/@unit (PQ) MUSS eine gültige UCUM-Einheit sein (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
