<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4203
Name: Urinausfuhr
Description: Menge der Urinausfuhr
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4203-2017-05-15T000000">
   <title>Urinausfuhr</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4203
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4203']]]
Item: (Urinausfuhr)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4203']]]"
         id="d127e8164-false-d121074e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4203-2017-05-15T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4203']])&gt;=1">(Urinausfuhr): Element hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4203']] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4203-2017-05-15T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4203']])&lt;=1">(Urinausfuhr): Element hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4203']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4203
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4203']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4203']]
Item: (Urinausfuhr)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4203']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4203']]"
         id="d127e8197-false-d121098e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4203-2017-05-15T000000.html"
              test="string(@classCode)=('OBS')">(Urinausfuhr): Der Wert von @classCode MUSS 'OBS' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4203-2017-05-15T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(Urinausfuhr): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4203-2017-05-15T000000.html"
              test="string(@moodCode)=('EVN')">(Urinausfuhr): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4203-2017-05-15T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(Urinausfuhr): Attribute @moodCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4203-2017-05-15T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4203'])&gt;=1">(Urinausfuhr): Element hl7:templateId[@root='1.2.276.0.76.10.4203'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4203-2017-05-15T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4203'])&lt;=1">(Urinausfuhr): Element hl7:templateId[@root='1.2.276.0.76.10.4203'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4203-2017-05-15T000000.html"
              test="count(hl7:id)&lt;=1">(Urinausfuhr): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4203-2017-05-15T000000.html"
              test="count(hl7:code[(@code='9187-6' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&gt;=1">(Urinausfuhr): Element hl7:code[(@code='9187-6' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4203-2017-05-15T000000.html"
              test="count(hl7:code[(@code='9187-6' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&lt;=1">(Urinausfuhr): Element hl7:code[(@code='9187-6' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4203-2017-05-15T000000.html"
              test="count(hl7:text)&lt;=1">(Urinausfuhr): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4203-2017-05-15T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Urinausfuhr): Element hl7:statusCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4203-2017-05-15T000000.html"
              test="count(hl7:effectiveTime[not(@nullFlavor)])&gt;=1">(Urinausfuhr): Element hl7:effectiveTime[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4203-2017-05-15T000000.html"
              test="count(hl7:effectiveTime[not(@nullFlavor)])&lt;=1">(Urinausfuhr): Element hl7:effectiveTime[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4203-2017-05-15T000000.html"
              test="count(hl7:value[not(@nullFlavor)])&gt;=1">(Urinausfuhr): Element hl7:value[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4203-2017-05-15T000000.html"
              test="count(hl7:value[not(@nullFlavor)])&lt;=1">(Urinausfuhr): Element hl7:value[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4203
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4203']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4203']]/hl7:templateId[@root='1.2.276.0.76.10.4203']
Item: (Urinausfuhr)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4203']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4203']]/hl7:templateId[@root='1.2.276.0.76.10.4203']"
         id="d127e8203-false-d121197e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4203-2017-05-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Urinausfuhr): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4203-2017-05-15T000000.html"
              test="string(@root)=('1.2.276.0.76.10.4203')">(Urinausfuhr): Der Wert von @root MUSS '1.2.276.0.76.10.4203' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4203-2017-05-15T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(Urinausfuhr): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4203
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4203']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4203']]/hl7:id
Item: (Urinausfuhr)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4203']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4203']]/hl7:id"
         id="d127e8208-false-d121218e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4203-2017-05-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Urinausfuhr): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4203
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4203']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4203']]/hl7:code[(@code='9187-6' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]
Item: (Urinausfuhr)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4203']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4203']]/hl7:code[(@code='9187-6' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]"
         id="d127e8210-false-d121232e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4203-2017-05-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Urinausfuhr): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4203-2017-05-15T000000.html"
              test="@nullFlavor or (@code='9187-6' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Urine output' and @codeSystemName='LOINC')">(Urinausfuhr): Der Elementinhalt MUSS einer von 'code '9187-6' codeSystem '2.16.840.1.113883.6.1' displayName='Urine output' codeSystemName='LOINC'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4203
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4203']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4203']]/hl7:text
Item: (Urinausfuhr)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4203']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4203']]/hl7:text"
         id="d127e8216-false-d121252e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4203-2017-05-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Urinausfuhr): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4203
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4203']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4203']]/hl7:statusCode
Item: (Urinausfuhr)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4203']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4203']]/hl7:statusCode"
         id="d127e8218-false-d121266e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4203-2017-05-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Urinausfuhr): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4203-2017-05-15T000000.html"
              test="@nullFlavor or (@code='completed')">(Urinausfuhr): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4203
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4203']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4203']]/hl7:effectiveTime[not(@nullFlavor)]
Item: (Urinausfuhr)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4203']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4203']]/hl7:effectiveTime[not(@nullFlavor)]"
         id="d127e8223-false-d121286e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4203-2017-05-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Urinausfuhr): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4203-2017-05-15T000000.html"
              test="count(hl7:low)&lt;=1">(Urinausfuhr): Element hl7:low kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4203-2017-05-15T000000.html"
              test="count(hl7:high)&lt;=1">(Urinausfuhr): Element hl7:high kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4203
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4203']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4203']]/hl7:effectiveTime[not(@nullFlavor)]/hl7:low
Item: (Urinausfuhr)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4203']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4203']]/hl7:effectiveTime[not(@nullFlavor)]/hl7:low"
         id="d127e8238-false-d121318e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4203-2017-05-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Urinausfuhr): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4203-2017-05-15T000000.html"
              test="not(*)">(Urinausfuhr): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4203
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4203']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4203']]/hl7:effectiveTime[not(@nullFlavor)]/hl7:high
Item: (Urinausfuhr)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4203']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4203']]/hl7:effectiveTime[not(@nullFlavor)]/hl7:high"
         id="d127e8240-false-d121335e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4203-2017-05-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Urinausfuhr): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4203-2017-05-15T000000.html"
              test="not(*)">(Urinausfuhr): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4203
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4203']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4203']]/hl7:value[not(@nullFlavor)]
Item: (Urinausfuhr)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4203']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4203']]/hl7:value[not(@nullFlavor)]"
         id="d127e8243-false-d121352e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4203-2017-05-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Urinausfuhr): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PQ" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4203-2017-05-15T000000.html"
              test="(@nullFlavor or (@unit='cm3')) or (@nullFlavor or (@unit='mL'))">(Urinausfuhr): value MUSS die Einheit 'cm3' nutzen  oder die Einheit 'mL' nutzen </assert>
      <let name="digitok"
           value="matches(string(@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4203-2017-05-15T000000.html"
              test="$digitok or @nullFlavor">(Urinausfuhr): @value ist keine gültige PQ Zahl <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4203-2017-05-15T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Urinausfuhr): value/@unit (PQ) MUSS eine gültige UCUM-Einheit sein (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
