<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4212
Name: Sekretfarbe
Description: Angaben zur Farbe des Bronchialsekretes
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4212-2017-05-15T000000">
   <title>Sekretfarbe</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4212
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4212']]]
Item: (Sekretfarbe)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4212']]]"
         id="d127e8710-false-d123796e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4212-2017-05-15T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4212']])&gt;=1">(Sekretfarbe): Element hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4212']] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4212-2017-05-15T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4212']])&lt;=1">(Sekretfarbe): Element hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4212']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4212
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4212']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4212']]
Item: (Sekretfarbe)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4212']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4212']]"
         id="d127e8738-false-d123820e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4212-2017-05-15T000000.html"
              test="string(@classCode)=('OBS')">(Sekretfarbe): Der Wert von @classCode MUSS 'OBS' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4212-2017-05-15T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(Sekretfarbe): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4212-2017-05-15T000000.html"
              test="string(@moodCode)=('EVN')">(Sekretfarbe): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4212-2017-05-15T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(Sekretfarbe): Attribute @moodCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4212-2017-05-15T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4212'])&gt;=1">(Sekretfarbe): Element hl7:templateId[@root='1.2.276.0.76.10.4212'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4212-2017-05-15T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4212'])&lt;=1">(Sekretfarbe): Element hl7:templateId[@root='1.2.276.0.76.10.4212'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4212-2017-05-15T000000.html"
              test="count(hl7:id)&lt;=1">(Sekretfarbe): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4212-2017-05-15T000000.html"
              test="count(hl7:code[(@code='365666004:363698007=261061003' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)])&gt;=1">(Sekretfarbe): Element hl7:code[(@code='365666004:363698007=261061003' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4212-2017-05-15T000000.html"
              test="count(hl7:code[(@code='365666004:363698007=261061003' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)])&lt;=1">(Sekretfarbe): Element hl7:code[(@code='365666004:363698007=261061003' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4212-2017-05-15T000000.html"
              test="count(hl7:text)&lt;=1">(Sekretfarbe): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4212-2017-05-15T000000.html"
              test="count(hl7:statusCode[@code='completed'][not(@nullFlavor)])&gt;=1">(Sekretfarbe): Element hl7:statusCode[@code='completed'][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4212-2017-05-15T000000.html"
              test="count(hl7:statusCode[@code='completed'][not(@nullFlavor)])&lt;=1">(Sekretfarbe): Element hl7:statusCode[@code='completed'][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4212-2017-05-15T000000.html"
              test="count(hl7:effectiveTime)&gt;=1">(Sekretfarbe): Element hl7:effectiveTime ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4212-2017-05-15T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(Sekretfarbe): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4212-2017-05-15T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.438-2017-03-07T000000.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)])&gt;=1">(Sekretfarbe): Element hl7:value[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.438-2017-03-07T000000.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)] ist mandatory [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4212
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4212']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4212']]/hl7:templateId[@root='1.2.276.0.76.10.4212']
Item: (Sekretfarbe)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4212']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4212']]/hl7:templateId[@root='1.2.276.0.76.10.4212']"
         id="d127e8744-false-d123921e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4212-2017-05-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sekretfarbe): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4212-2017-05-15T000000.html"
              test="string(@root)=('1.2.276.0.76.10.4212')">(Sekretfarbe): Der Wert von @root MUSS '1.2.276.0.76.10.4212' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4212-2017-05-15T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(Sekretfarbe): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4212
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4212']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4212']]/hl7:id
Item: (Sekretfarbe)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4212']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4212']]/hl7:id"
         id="d127e8749-false-d123942e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4212-2017-05-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sekretfarbe): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4212
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4212']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4212']]/hl7:code[(@code='365666004:363698007=261061003' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]
Item: (Sekretfarbe)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4212']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4212']]/hl7:code[(@code='365666004:363698007=261061003' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]"
         id="d127e8751-false-d123956e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4212-2017-05-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sekretfarbe): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4212-2017-05-15T000000.html"
              test="@nullFlavor or (@code='365666004:363698007=261061003' and @codeSystem='2.16.840.1.113883.6.96' and @displayName='Finding of color of specimen (finding) : Finding site (attribute) = Bronchial (qualifier value)' and @codeSystemName='SNOMED CT')">(Sekretfarbe): Der Elementinhalt MUSS einer von 'code '365666004:363698007=261061003' codeSystem '2.16.840.1.113883.6.96' displayName='Finding of color of specimen (finding) : Finding site (attribute) = Bronchial (qualifier value)' codeSystemName='SNOMED CT'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4212
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4212']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4212']]/hl7:text
Item: (Sekretfarbe)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4212']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4212']]/hl7:text"
         id="d127e8757-false-d123976e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4212-2017-05-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sekretfarbe): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4212
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4212']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4212']]/hl7:statusCode[@code='completed'][not(@nullFlavor)]
Item: (Sekretfarbe)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4212']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4212']]/hl7:statusCode[@code='completed'][not(@nullFlavor)]"
         id="d127e8759-false-d123990e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4212-2017-05-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sekretfarbe): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4212-2017-05-15T000000.html"
              test="@nullFlavor or (@code='completed')">(Sekretfarbe): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4212
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4212']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4212']]/hl7:effectiveTime
Item: (Sekretfarbe)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4212']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4212']]/hl7:effectiveTime"
         id="d127e8764-false-d124010e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4212-2017-05-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sekretfarbe): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4212
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4212']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4212']]/hl7:value[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.438-2017-03-07T000000.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)]
Item: (Sekretfarbe)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4212']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4212']]/hl7:value[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.438-2017-03-07T000000.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)]"
         id="d127e8766-false-d124026e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4212-2017-05-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sekretfarbe): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4212-2017-05-15T000000.html"
              test="@nullFlavor or exists(doc('include/voc-1.2.276.0.76.11.438-2017-03-07T000000.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(Sekretfarbe): Der Elementinhalt MUSS einer von '1.2.276.0.76.11.438 Sekretfarbe (2017-03-07T00:00:00)' sein.</assert>
   </rule>
</pattern>
