<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4217
Name: Manuelle Therapie
Description: Manuelle Therapie zur Sekretlockerung
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4217-2017-05-16T000000">
   <title>Manuelle Therapie</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4217
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4217']]]
Item: (ManuelleTherapie)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4217
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4217']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4217']]
Item: (ManuelleTherapie)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4217']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4217']]"
         id="d127e9068-false-d126379e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4217-2017-05-16T000000.html"
              test="string(@classCode)=('PROC')">(ManuelleTherapie): Der Wert von @classCode MUSS 'PROC' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4217-2017-05-16T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(ManuelleTherapie): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4217-2017-05-16T000000.html"
              test="string(@moodCode)=('EVN')">(ManuelleTherapie): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4217-2017-05-16T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(ManuelleTherapie): Attribute @moodCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4217-2017-05-16T000000.html"
              test="not(@negationInd) or string(@negationInd)=('true','false')">(ManuelleTherapie): Attribute @negationInd MUSS vom Datentyp 'bl' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4217-2017-05-16T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4217'])&gt;=1">(ManuelleTherapie): Element hl7:templateId[@root='1.2.276.0.76.10.4217'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4217-2017-05-16T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4217'])&lt;=1">(ManuelleTherapie): Element hl7:templateId[@root='1.2.276.0.76.10.4217'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4217-2017-05-16T000000.html"
              test="count(hl7:id)&lt;=1">(ManuelleTherapie): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4217-2017-05-16T000000.html"
              test="count(hl7:code[(@code='229315006' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)])&gt;=1">(ManuelleTherapie): Element hl7:code[(@code='229315006' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4217-2017-05-16T000000.html"
              test="count(hl7:code[(@code='229315006' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)])&lt;=1">(ManuelleTherapie): Element hl7:code[(@code='229315006' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4217-2017-05-16T000000.html"
              test="count(hl7:text)&lt;=1">(ManuelleTherapie): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4217-2017-05-16T000000.html"
              test="count(hl7:statusCode)&lt;=1">(ManuelleTherapie): Element hl7:statusCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4217-2017-05-16T000000.html"
              test="count(hl7:effectiveTime[not(@nullFlavor)])&gt;=1">(ManuelleTherapie): Element hl7:effectiveTime[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4217-2017-05-16T000000.html"
              test="count(hl7:effectiveTime[not(@nullFlavor)])&lt;=1">(ManuelleTherapie): Element hl7:effectiveTime[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4217
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4217']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4217']]/hl7:templateId[@root='1.2.276.0.76.10.4217']
Item: (ManuelleTherapie)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4217']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4217']]/hl7:templateId[@root='1.2.276.0.76.10.4217']"
         id="d127e9076-false-d126470e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4217-2017-05-16T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ManuelleTherapie): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4217-2017-05-16T000000.html"
              test="string(@root)=('1.2.276.0.76.10.4217')">(ManuelleTherapie): Der Wert von @root MUSS '1.2.276.0.76.10.4217' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4217-2017-05-16T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(ManuelleTherapie): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4217
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4217']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4217']]/hl7:id
Item: (ManuelleTherapie)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4217']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4217']]/hl7:id"
         id="d127e9081-false-d126491e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4217-2017-05-16T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ManuelleTherapie): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4217
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4217']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4217']]/hl7:code[(@code='229315006' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]
Item: (ManuelleTherapie)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4217']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4217']]/hl7:code[(@code='229315006' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]"
         id="d127e9084-false-d126505e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4217-2017-05-16T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ManuelleTherapie): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4217-2017-05-16T000000.html"
              test="@nullFlavor or (@code='229315006' and @codeSystem='2.16.840.1.113883.6.96' and @displayName='Manual therapy (procedure)' and @codeSystemName='SNOMED CT')">(ManuelleTherapie): Der Elementinhalt MUSS einer von 'code '229315006' codeSystem '2.16.840.1.113883.6.96' displayName='Manual therapy (procedure)' codeSystemName='SNOMED CT'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4217
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4217']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4217']]/hl7:text
Item: (ManuelleTherapie)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4217']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4217']]/hl7:text"
         id="d127e9089-false-d126525e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4217-2017-05-16T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ManuelleTherapie): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4217
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4217']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4217']]/hl7:statusCode
Item: (ManuelleTherapie)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4217']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4217']]/hl7:statusCode"
         id="d127e9091-false-d126539e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4217-2017-05-16T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ManuelleTherapie): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4217-2017-05-16T000000.html"
              test="@nullFlavor or (@code='completed')">(ManuelleTherapie): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4217
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4217']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4217']]/hl7:effectiveTime[not(@nullFlavor)]
Item: (ManuelleTherapie)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4217']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4217']]/hl7:effectiveTime[not(@nullFlavor)]"
         id="d127e9096-false-d126559e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4217-2017-05-16T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ManuelleTherapie): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>
</pattern>
