<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4222
Name: Trachealkanülengröße
Description: Angaben zum Innen- oder Außendurchmesser der Trachealkanüle
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4222-2017-05-16T000000">
   <title>Trachealkanülengröße</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4222
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4222']]]
Item: (Trachealkanuelengroesse)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4222
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4222']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4222']]
Item: (Trachealkanuelengroesse)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4222']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4222']]"
         id="d127e9298-false-d128271e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4222-2017-05-16T000000.html"
              test="string(@classCode)=('OBS') or not(@classCode)">(Trachealkanuelengroesse): Der Wert von @classCode MUSS 'OBS' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4222-2017-05-16T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(Trachealkanuelengroesse): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4222-2017-05-16T000000.html"
              test="string(@moodCode)=('EVN')">(Trachealkanuelengroesse): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4222-2017-05-16T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(Trachealkanuelengroesse): Attribute @moodCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4222-2017-05-16T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4222'])&gt;=1">(Trachealkanuelengroesse): Element hl7:templateId[@root='1.2.276.0.76.10.4222'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4222-2017-05-16T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4222'])&lt;=1">(Trachealkanuelengroesse): Element hl7:templateId[@root='1.2.276.0.76.10.4222'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4222-2017-05-16T000000.html"
              test="count(hl7:id)&lt;=1">(Trachealkanuelengroesse): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4222-2017-05-16T000000.html"
              test="count(hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.446-2017-05-16T000000.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)])&gt;=1">(Trachealkanuelengroesse): Element hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.446-2017-05-16T000000.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4222-2017-05-16T000000.html"
              test="count(hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.446-2017-05-16T000000.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)])&lt;=1">(Trachealkanuelengroesse): Element hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.446-2017-05-16T000000.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4222-2017-05-16T000000.html"
              test="count(hl7:text)&lt;=1">(Trachealkanuelengroesse): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4222-2017-05-16T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Trachealkanuelengroesse): Element hl7:statusCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4222-2017-05-16T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(Trachealkanuelengroesse): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4222-2017-05-16T000000.html"
              test="count(hl7:value)&gt;=1">(Trachealkanuelengroesse): Element hl7:value ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4222-2017-05-16T000000.html"
              test="count(hl7:value)&lt;=1">(Trachealkanuelengroesse): Element hl7:value kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4222
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4222']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4222']]/hl7:templateId[@root='1.2.276.0.76.10.4222']
Item: (Trachealkanuelengroesse)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4222']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4222']]/hl7:templateId[@root='1.2.276.0.76.10.4222']"
         id="d127e9304-false-d128369e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4222-2017-05-16T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Trachealkanuelengroesse): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4222-2017-05-16T000000.html"
              test="string(@root)=('1.2.276.0.76.10.4222')">(Trachealkanuelengroesse): Der Wert von @root MUSS '1.2.276.0.76.10.4222' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4222-2017-05-16T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(Trachealkanuelengroesse): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4222
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4222']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4222']]/hl7:id
Item: (Trachealkanuelengroesse)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4222']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4222']]/hl7:id"
         id="d127e9309-false-d128390e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4222-2017-05-16T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Trachealkanuelengroesse): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4222
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4222']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4222']]/hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.446-2017-05-16T000000.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)]
Item: (Trachealkanuelengroesse)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4222']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4222']]/hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.446-2017-05-16T000000.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)]"
         id="d127e9311-false-d128406e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4222-2017-05-16T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Trachealkanuelengroesse): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4222-2017-05-16T000000.html"
              test="@nullFlavor or exists(doc('include/voc-1.2.276.0.76.11.446-2017-05-16T000000.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(Trachealkanuelengroesse): Der Elementinhalt MUSS einer von '1.2.276.0.76.11.446 Trachelkanülengröße (2017-05-16T00:00:00)' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4222
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4222']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4222']]/hl7:text
Item: (Trachealkanuelengroesse)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4222']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4222']]/hl7:text"
         id="d127e9317-false-d128428e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4222-2017-05-16T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Trachealkanuelengroesse): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4222
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4222']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4222']]/hl7:statusCode
Item: (Trachealkanuelengroesse)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4222']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4222']]/hl7:statusCode"
         id="d127e9319-false-d128442e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4222-2017-05-16T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Trachealkanuelengroesse): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4222-2017-05-16T000000.html"
              test="@nullFlavor or (@code='completed')">(Trachealkanuelengroesse): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4222
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4222']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4222']]/hl7:effectiveTime
Item: (Trachealkanuelengroesse)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4222']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4222']]/hl7:effectiveTime"
         id="d127e9324-false-d128462e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4222-2017-05-16T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Trachealkanuelengroesse): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4222
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4222']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4222']]/hl7:value
Item: (Trachealkanuelengroesse)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4222']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4222']]/hl7:value"
         id="d127e9326-false-d128476e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4222-2017-05-16T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Trachealkanuelengroesse): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PQ" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4222-2017-05-16T000000.html"
              test="(@nullFlavor or (@unit='mm'))">(Trachealkanuelengroesse): value MUSS die Einheit 'mm' nutzen </assert>
      <let name="digitok"
           value="matches(string(@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4222-2017-05-16T000000.html"
              test="$digitok or @nullFlavor">(Trachealkanuelengroesse): @value ist keine gültige PQ Zahl <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4222-2017-05-16T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Trachealkanuelengroesse): value/@unit (PQ) MUSS eine gültige UCUM-Einheit sein (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
