<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4227
Name: Physiotherapie
Description: Physiotherapie
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4227-2017-05-22T000000">
   <title>Physiotherapie</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4227
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4227']]]
Item: (Physiotherapie)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4227
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4227']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4227']]
Item: (Physiotherapie)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4227']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4227']]"
         id="d127e9599-false-d129577e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4227-2017-05-22T000000.html"
              test="string(@classCode)=('PROC')">(Physiotherapie): Der Wert von @classCode MUSS 'PROC' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4227-2017-05-22T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(Physiotherapie): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4227-2017-05-22T000000.html"
              test="@moodCode">(Physiotherapie): Attribut @moodCode MUSS vorkommen.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4227-2017-05-22T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(Physiotherapie): Attribute @moodCode MUSS vom Datentyp 'cs' sein</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@moodCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(doc('include/voc-2.16.840.1.113883.1.11.19460-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4227-2017-05-22T000000.html"
              test="not(@moodCode) or count($theAttValue) = count($theAttCheck)">(Physiotherapie): Der Wert von moodCode MUSS gewählt werden aus Value Set '2.16.840.1.113883.1.11.19460' x_DocumentProcedureMood (DYNAMIC).</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4227-2017-05-22T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4227'])&gt;=1">(Physiotherapie): Element hl7:templateId[@root='1.2.276.0.76.10.4227'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4227-2017-05-22T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4227'])&lt;=1">(Physiotherapie): Element hl7:templateId[@root='1.2.276.0.76.10.4227'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4227-2017-05-22T000000.html"
              test="count(hl7:id)&lt;=1">(Physiotherapie): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4227-2017-05-22T000000.html"
              test="count(hl7:code[(@code='91251008' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)])&gt;=1">(Physiotherapie): Element hl7:code[(@code='91251008' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4227-2017-05-22T000000.html"
              test="count(hl7:code[(@code='91251008' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)])&lt;=1">(Physiotherapie): Element hl7:code[(@code='91251008' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4227-2017-05-22T000000.html"
              test="count(hl7:text)&lt;=1">(Physiotherapie): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4227-2017-05-22T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Physiotherapie): Element hl7:statusCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4227-2017-05-22T000000.html"
              test="count(hl7:effectiveTime[not(@nullFlavor)])&gt;=1">(Physiotherapie): Element hl7:effectiveTime[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4227-2017-05-22T000000.html"
              test="count(hl7:effectiveTime[not(@nullFlavor)])&lt;=1">(Physiotherapie): Element hl7:effectiveTime[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4227
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4227']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4227']]/hl7:templateId[@root='1.2.276.0.76.10.4227']
Item: (Physiotherapie)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4227']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4227']]/hl7:templateId[@root='1.2.276.0.76.10.4227']"
         id="d127e9608-false-d129694e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4227-2017-05-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Physiotherapie): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4227-2017-05-22T000000.html"
              test="string(@root)=('1.2.276.0.76.10.4227')">(Physiotherapie): Der Wert von @root MUSS '1.2.276.0.76.10.4227' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4227-2017-05-22T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(Physiotherapie): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4227
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4227']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4227']]/hl7:id
Item: (Physiotherapie)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4227']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4227']]/hl7:id"
         id="d127e9613-false-d129715e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4227-2017-05-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Physiotherapie): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4227
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4227']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4227']]/hl7:code[(@code='91251008' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]
Item: (Physiotherapie)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4227']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4227']]/hl7:code[(@code='91251008' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]"
         id="d127e9615-false-d129729e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4227-2017-05-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Physiotherapie): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4227-2017-05-22T000000.html"
              test="@nullFlavor or (@code='91251008' and @codeSystem='2.16.840.1.113883.6.96' and @displayName='Physical therapy procedure' and @codeSystemName='SNOMED CT')">(Physiotherapie): Der Elementinhalt MUSS einer von 'code '91251008' codeSystem '2.16.840.1.113883.6.96' displayName='Physical therapy procedure' codeSystemName='SNOMED CT'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4227
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4227']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4227']]/hl7:text
Item: (Physiotherapie)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4227']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4227']]/hl7:text"
         id="d127e9621-false-d129749e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4227-2017-05-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Physiotherapie): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4227
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4227']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4227']]/hl7:statusCode
Item: (Physiotherapie)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4227']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4227']]/hl7:statusCode"
         id="d127e9623-false-d129763e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4227-2017-05-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Physiotherapie): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4227-2017-05-22T000000.html"
              test="@nullFlavor or (@code='completed')">(Physiotherapie): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4227
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4227']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4227']]/hl7:effectiveTime[not(@nullFlavor)]
Item: (Physiotherapie)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4227']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4227']]/hl7:effectiveTime[not(@nullFlavor)]"
         id="d127e9628-false-d129783e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4227-2017-05-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Physiotherapie): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4227
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4227']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4227']]/hl7:performer
Item: (Physiotherapie)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90014
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4227']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4227']]/hl7:performer
Item: (PerformerBody)
-->
   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4227']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4227']]/hl7:performer">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90014-2014-03-12T101842.html"
              test="string(@typeCode)=('PRF')">(PerformerBody): Der Wert von @typeCode MUSS 'PRF' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90014-2014-03-12T101842.html"
              test="count(hl7:assignedEntity[not(@nullFlavor)])&gt;=1">(PerformerBody): Element hl7:assignedEntity[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90014-2014-03-12T101842.html"
              test="count(hl7:assignedEntity[not(@nullFlavor)])&lt;=1">(PerformerBody): Element hl7:assignedEntity[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90014
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4227']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4227']]/hl7:performer/hl7:assignedEntity[not(@nullFlavor)]
Item: (PerformerBody)
-->
   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4227']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4227']]/hl7:performer/hl7:assignedEntity[not(@nullFlavor)]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90014-2014-03-12T101842.html"
              test="count(hl7:id)&gt;=1">(PerformerBody): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90014-2014-03-12T101842.html"
              test="count(hl7:addr)&lt;=1">(PerformerBody): Element hl7:addr kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90014-2014-03-12T101842.html"
              test="count(hl7:assignedPerson[not(@nullFlavor)])&gt;=1">(PerformerBody): Element hl7:assignedPerson[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90014-2014-03-12T101842.html"
              test="count(hl7:assignedPerson[not(@nullFlavor)])&lt;=1">(PerformerBody): Element hl7:assignedPerson[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90014-2014-03-12T101842.html"
              test="count(hl7:representedOrganization)&lt;=1">(PerformerBody): Element hl7:representedOrganization kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90012
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4227']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4227']]/hl7:performer/hl7:assignedEntity[not(@nullFlavor)]/hl7:id
Item: (AssignedEntityElements)
-->
   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4227']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4227']]/hl7:performer/hl7:assignedEntity[not(@nullFlavor)]/hl7:id">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90012-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AssignedEntityElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90012
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4227']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4227']]/hl7:performer/hl7:assignedEntity[not(@nullFlavor)]/hl7:addr
Item: (AssignedEntityElements)
-->
   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4227']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4227']]/hl7:performer/hl7:assignedEntity[not(@nullFlavor)]/hl7:addr">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90012-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AssignedEntityElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90012
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4227']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4227']]/hl7:performer/hl7:assignedEntity[not(@nullFlavor)]/hl7:telecom
Item: (AssignedEntityElements)
-->
   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4227']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4227']]/hl7:performer/hl7:assignedEntity[not(@nullFlavor)]/hl7:telecom">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90012-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AssignedEntityElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90012
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4227']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4227']]/hl7:performer/hl7:assignedEntity[not(@nullFlavor)]/hl7:assignedPerson[not(@nullFlavor)]
Item: (AssignedEntityElements)
-->
   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4227']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4227']]/hl7:performer/hl7:assignedEntity[not(@nullFlavor)]/hl7:assignedPerson[not(@nullFlavor)]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90012-2011-12-19T000000.html"
              test="string(@classCode)=('PSN') or not(@classCode)">(AssignedEntityElements): Der Wert von @classCode MUSS 'PSN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90012-2011-12-19T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(AssignedEntityElements): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90012-2011-12-19T000000.html"
              test="count(hl7:name[not(@nullFlavor)])&gt;=1">(AssignedEntityElements): Element hl7:name[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90012-2011-12-19T000000.html"
              test="count(hl7:name[not(@nullFlavor)])&lt;=1">(AssignedEntityElements): Element hl7:name[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90010
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4227']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4227']]/hl7:performer/hl7:assignedEntity[not(@nullFlavor)]/hl7:assignedPerson[not(@nullFlavor)]/hl7:name[not(@nullFlavor)]
Item: (PersonElements)
-->
   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4227']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4227']]/hl7:performer/hl7:assignedEntity[not(@nullFlavor)]/hl7:assignedPerson[not(@nullFlavor)]/hl7:name[not(@nullFlavor)]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90010-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PersonElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PN" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90012
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4227']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4227']]/hl7:performer/hl7:assignedEntity[not(@nullFlavor)]/hl7:representedOrganization
Item: (AssignedEntityElements)
-->
   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4227']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4227']]/hl7:performer/hl7:assignedEntity[not(@nullFlavor)]/hl7:representedOrganization">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90012-2011-12-19T000000.html"
              test="string(@classCode)=('ORG') or not(@classCode)">(AssignedEntityElements): Der Wert von @classCode MUSS 'ORG' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90012-2011-12-19T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(AssignedEntityElements): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90012-2011-12-19T000000.html"
              test="count(hl7:name[not(@nullFlavor)])&gt;=1">(AssignedEntityElements): Element hl7:name[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90012-2011-12-19T000000.html"
              test="count(hl7:name[not(@nullFlavor)])&lt;=1">(AssignedEntityElements): Element hl7:name[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90012-2011-12-19T000000.html"
              test="count(hl7:addr)&lt;=1">(AssignedEntityElements): Element hl7:addr kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90011
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4227']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4227']]/hl7:performer/hl7:assignedEntity[not(@nullFlavor)]/hl7:representedOrganization/hl7:id
Item: (OrganizationElements)
-->
   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4227']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4227']]/hl7:performer/hl7:assignedEntity[not(@nullFlavor)]/hl7:representedOrganization/hl7:id">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90011
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4227']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4227']]/hl7:performer/hl7:assignedEntity[not(@nullFlavor)]/hl7:representedOrganization/hl7:name[not(@nullFlavor)]
Item: (OrganizationElements)
-->
   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4227']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4227']]/hl7:performer/hl7:assignedEntity[not(@nullFlavor)]/hl7:representedOrganization/hl7:name[not(@nullFlavor)]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ON" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90011
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4227']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4227']]/hl7:performer/hl7:assignedEntity[not(@nullFlavor)]/hl7:representedOrganization/hl7:telecom
Item: (OrganizationElements)
-->
   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4227']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4227']]/hl7:performer/hl7:assignedEntity[not(@nullFlavor)]/hl7:representedOrganization/hl7:telecom">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90011
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4227']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4227']]/hl7:performer/hl7:assignedEntity[not(@nullFlavor)]/hl7:representedOrganization/hl7:addr
Item: (OrganizationElements)
-->
   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4227']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4227']]/hl7:performer/hl7:assignedEntity[not(@nullFlavor)]/hl7:representedOrganization/hl7:addr">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>
</pattern>
