<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4235
Name: Beatmungsgerätecheck
Description: Angabe, ob das Beatmungsgerät auf korrekte Funktion und Einstellung überprüft wurde
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4235-2017-05-23T000000">
   <title>Beatmungsgerätecheck</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4235
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4235']]]
Item: (BeatmungsgeraetecheckPROC)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4235
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4235']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4235']]
Item: (BeatmungsgeraetecheckPROC)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4235']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4235']]"
         id="d127e9931-false-d131782e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4235-2017-05-23T000000.html"
              test="string(@classCode)=('PROC')">(BeatmungsgeraetecheckPROC): Der Wert von @classCode MUSS 'PROC' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4235-2017-05-23T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(BeatmungsgeraetecheckPROC): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4235-2017-05-23T000000.html"
              test="string(@moodCode)=('EVN')">(BeatmungsgeraetecheckPROC): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4235-2017-05-23T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(BeatmungsgeraetecheckPROC): Attribute @moodCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4235-2017-05-23T000000.html"
              test="@negationInd">(BeatmungsgeraetecheckPROC): Attribut @negationInd MUSS vorkommen.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4235-2017-05-23T000000.html"
              test="not(@negationInd) or string(@negationInd)=('true','false')">(BeatmungsgeraetecheckPROC): Attribute @negationInd MUSS vom Datentyp 'bl' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4235-2017-05-23T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4235'])&gt;=1">(BeatmungsgeraetecheckPROC): Element hl7:templateId[@root='1.2.276.0.76.10.4235'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4235-2017-05-23T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4235'])&lt;=1">(BeatmungsgeraetecheckPROC): Element hl7:templateId[@root='1.2.276.0.76.10.4235'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4235-2017-05-23T000000.html"
              test="count(hl7:id)&gt;=1">(BeatmungsgeraetecheckPROC): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4235-2017-05-23T000000.html"
              test="count(hl7:code[(@code='710956004:704327008=706172005' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)])&gt;=1">(BeatmungsgeraetecheckPROC): Element hl7:code[(@code='710956004:704327008=706172005' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4235-2017-05-23T000000.html"
              test="count(hl7:code[(@code='710956004:704327008=706172005' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)])&lt;=1">(BeatmungsgeraetecheckPROC): Element hl7:code[(@code='710956004:704327008=706172005' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4235-2017-05-23T000000.html"
              test="count(hl7:statusCode[@code='completed'][not(@nullFlavor)])&gt;=1">(BeatmungsgeraetecheckPROC): Element hl7:statusCode[@code='completed'][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4235-2017-05-23T000000.html"
              test="count(hl7:statusCode[@code='completed'][not(@nullFlavor)])&lt;=1">(BeatmungsgeraetecheckPROC): Element hl7:statusCode[@code='completed'][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4235-2017-05-23T000000.html"
              test="count(hl7:effectiveTime[not(@nullFlavor)])&gt;=1">(BeatmungsgeraetecheckPROC): Element hl7:effectiveTime[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4235-2017-05-23T000000.html"
              test="count(hl7:effectiveTime[not(@nullFlavor)])&lt;=1">(BeatmungsgeraetecheckPROC): Element hl7:effectiveTime[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4235
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4235']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4235']]/hl7:templateId[@root='1.2.276.0.76.10.4235']
Item: (BeatmungsgeraetecheckPROC)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4235']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4235']]/hl7:templateId[@root='1.2.276.0.76.10.4235']"
         id="d127e9939-false-d131870e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4235-2017-05-23T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(BeatmungsgeraetecheckPROC): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4235-2017-05-23T000000.html"
              test="string(@root)=('1.2.276.0.76.10.4235')">(BeatmungsgeraetecheckPROC): Der Wert von @root MUSS '1.2.276.0.76.10.4235' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4235-2017-05-23T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(BeatmungsgeraetecheckPROC): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4235
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4235']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4235']]/hl7:id
Item: (BeatmungsgeraetecheckPROC)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4235']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4235']]/hl7:id"
         id="d127e9944-false-d131891e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4235-2017-05-23T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(BeatmungsgeraetecheckPROC): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4235
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4235']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4235']]/hl7:code[(@code='710956004:704327008=706172005' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]
Item: (BeatmungsgeraetecheckPROC)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4235']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4235']]/hl7:code[(@code='710956004:704327008=706172005' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]"
         id="d127e9947-false-d131905e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4235-2017-05-23T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(BeatmungsgeraetecheckPROC): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4235-2017-05-23T000000.html"
              test="@nullFlavor or (@code='710956004:704327008=706172005' and @codeSystem='2.16.840.1.113883.6.96' and @displayName='Checking device safety (procedure) : Direct site (attribute) = Ventilator (physical object)' and @codeSystemName='SNOMED CT')">(BeatmungsgeraetecheckPROC): Der Elementinhalt MUSS einer von 'code '710956004:704327008=706172005' codeSystem '2.16.840.1.113883.6.96' displayName='Checking device safety (procedure) : Direct site (attribute) = Ventilator (physical object)' codeSystemName='SNOMED CT'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4235
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4235']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4235']]/hl7:statusCode[@code='completed'][not(@nullFlavor)]
Item: (BeatmungsgeraetecheckPROC)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4235']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4235']]/hl7:statusCode[@code='completed'][not(@nullFlavor)]"
         id="d127e9952-false-d131925e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4235-2017-05-23T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(BeatmungsgeraetecheckPROC): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4235-2017-05-23T000000.html"
              test="@nullFlavor or (@code='completed')">(BeatmungsgeraetecheckPROC): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4235
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4235']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4235']]/hl7:effectiveTime[not(@nullFlavor)]
Item: (BeatmungsgeraetecheckPROC)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4235']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4235']]/hl7:effectiveTime[not(@nullFlavor)]"
         id="d127e9957-false-d131945e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4235-2017-05-23T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(BeatmungsgeraetecheckPROC): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>
</pattern>
