<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4243
Name: Therapieplan Beatmung Organizer
Description: Sammelkontainer für die vom behandelnden Arzt verordneten Parameter.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4243-2017-05-31T000000">
   <title>Therapieplan Beatmung Organizer</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4243
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4243']]]
Item: (TherapieplanBeatmungOrganizer)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4243']]]"
         id="d127e10117-false-d133360e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4243-2017-05-31T000000.html"
              test="count(hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4243']])&gt;=1">(TherapieplanBeatmungOrganizer): Element hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4243']] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4243-2017-05-31T000000.html"
              test="count(hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4243']])&lt;=1">(TherapieplanBeatmungOrganizer): Element hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4243']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4243
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4243']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4243']]
Item: (TherapieplanBeatmungOrganizer)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4243']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4243']]"
         id="d127e10148-false-d133384e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4243-2017-05-31T000000.html"
              test="string(@classCode)=('CLUSTER')">(TherapieplanBeatmungOrganizer): Der Wert von @classCode MUSS 'CLUSTER' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4243-2017-05-31T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(TherapieplanBeatmungOrganizer): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4243-2017-05-31T000000.html"
              test="string(@moodCode)=('EVN')">(TherapieplanBeatmungOrganizer): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4243-2017-05-31T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(TherapieplanBeatmungOrganizer): Attribute @moodCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4243-2017-05-31T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4243'])&gt;=1">(TherapieplanBeatmungOrganizer): Element hl7:templateId[@root='1.2.276.0.76.10.4243'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4243-2017-05-31T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4243'])&lt;=1">(TherapieplanBeatmungOrganizer): Element hl7:templateId[@root='1.2.276.0.76.10.4243'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4243-2017-05-31T000000.html"
              test="count(hl7:id)&lt;=1">(TherapieplanBeatmungOrganizer): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4243-2017-05-31T000000.html"
              test="count(hl7:code[(@code='27726-9' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&gt;=1">(TherapieplanBeatmungOrganizer): Element hl7:code[(@code='27726-9' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4243-2017-05-31T000000.html"
              test="count(hl7:code[(@code='27726-9' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&lt;=1">(TherapieplanBeatmungOrganizer): Element hl7:code[(@code='27726-9' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4243-2017-05-31T000000.html"
              test="count(hl7:statusCode[@code='completed' or @nullFlavor])&gt;=1">(TherapieplanBeatmungOrganizer): Element hl7:statusCode[@code='completed' or @nullFlavor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4243-2017-05-31T000000.html"
              test="count(hl7:statusCode[@code='completed' or @nullFlavor])&lt;=1">(TherapieplanBeatmungOrganizer): Element hl7:statusCode[@code='completed' or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4243-2017-05-31T000000.html"
              test="count(hl7:effectiveTime)&gt;=1">(TherapieplanBeatmungOrganizer): Element hl7:effectiveTime ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4243-2017-05-31T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(TherapieplanBeatmungOrganizer): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4243-2017-05-31T000000.html"
              test="count(hl7:component[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4178']]])&lt;=1">(TherapieplanBeatmungOrganizer): Element hl7:component[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4178']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4243-2017-05-31T000000.html"
              test="count(hl7:component[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4179']]])&lt;=1">(TherapieplanBeatmungOrganizer): Element hl7:component[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4179']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4243-2017-05-31T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4180']]])&lt;=1">(TherapieplanBeatmungOrganizer): Element hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4180']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4243-2017-05-31T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4181']]])&lt;=1">(TherapieplanBeatmungOrganizer): Element hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4181']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4243-2017-05-31T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4182']]])&lt;=1">(TherapieplanBeatmungOrganizer): Element hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4182']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4243-2017-05-31T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4183']]])&lt;=1">(TherapieplanBeatmungOrganizer): Element hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4183']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4243-2017-05-31T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4184']]])&lt;=1">(TherapieplanBeatmungOrganizer): Element hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4184']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4243-2017-05-31T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4185']]])&lt;=1">(TherapieplanBeatmungOrganizer): Element hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4185']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4243-2017-05-31T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4186']]])&lt;=1">(TherapieplanBeatmungOrganizer): Element hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4186']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4243-2017-05-31T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4187']]])&lt;=1">(TherapieplanBeatmungOrganizer): Element hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4187']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4243-2017-05-31T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4188']]])&lt;=1">(TherapieplanBeatmungOrganizer): Element hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4188']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4243-2017-05-31T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4189']]])&lt;=1">(TherapieplanBeatmungOrganizer): Element hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4189']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4243-2017-05-31T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4190']]])&lt;=1">(TherapieplanBeatmungOrganizer): Element hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4190']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4243-2017-05-31T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4171']]])&lt;=1">(TherapieplanBeatmungOrganizer): Element hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4171']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4243-2017-05-31T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4191']]])&lt;=1">(TherapieplanBeatmungOrganizer): Element hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4191']]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4243
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4243']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4243']]/hl7:templateId[@root='1.2.276.0.76.10.4243']
Item: (TherapieplanBeatmungOrganizer)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4243']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4243']]/hl7:templateId[@root='1.2.276.0.76.10.4243']"
         id="d127e10154-false-d134170e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4243-2017-05-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TherapieplanBeatmungOrganizer): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4243-2017-05-31T000000.html"
              test="string(@root)=('1.2.276.0.76.10.4243')">(TherapieplanBeatmungOrganizer): Der Wert von @root MUSS '1.2.276.0.76.10.4243' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4243-2017-05-31T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(TherapieplanBeatmungOrganizer): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4243
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4243']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4243']]/hl7:id
Item: (TherapieplanBeatmungOrganizer)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4243']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4243']]/hl7:id"
         id="d127e10159-false-d134191e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4243-2017-05-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TherapieplanBeatmungOrganizer): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4243
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4243']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4243']]/hl7:code[(@code='27726-9' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]
Item: (TherapieplanBeatmungOrganizer)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4243']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4243']]/hl7:code[(@code='27726-9' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]"
         id="d127e10161-false-d134205e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4243-2017-05-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TherapieplanBeatmungOrganizer): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4243-2017-05-31T000000.html"
              test="@nullFlavor or (@code='27726-9' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Respiratory therapy treatment plan, Plan of treatment (narrative)')">(TherapieplanBeatmungOrganizer): Der Elementinhalt MUSS einer von 'code '27726-9' codeSystem '2.16.840.1.113883.6.1' displayName='Respiratory therapy treatment plan, Plan of treatment (narrative)'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4243
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4243']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4243']]/hl7:statusCode[@code='completed' or @nullFlavor]
Item: (TherapieplanBeatmungOrganizer)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4243']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4243']]/hl7:statusCode[@code='completed' or @nullFlavor]"
         id="d127e10167-false-d134225e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4243-2017-05-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TherapieplanBeatmungOrganizer): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4243-2017-05-31T000000.html"
              test="@nullFlavor or (@code='completed')">(TherapieplanBeatmungOrganizer): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4243
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4243']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4243']]/hl7:effectiveTime
Item: (TherapieplanBeatmungOrganizer)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4243']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4243']]/hl7:effectiveTime"
         id="d127e10172-false-d134245e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4243-2017-05-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TherapieplanBeatmungOrganizer): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4243
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4243']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4243']]/hl7:component[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4178']]]
Item: (TherapieplanBeatmungOrganizer)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4243']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4243']]/hl7:component[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4178']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4243-2017-05-31T000000.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(TherapieplanBeatmungOrganizer): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4243-2017-05-31T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(TherapieplanBeatmungOrganizer): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4243-2017-05-31T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(TherapieplanBeatmungOrganizer): Der Wert von @contextConductionInd MUSS 'true' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4243-2017-05-31T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(TherapieplanBeatmungOrganizer): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4243
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4243']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4243']]/hl7:component[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4179']]]
Item: (TherapieplanBeatmungOrganizer)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4243']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4243']]/hl7:component[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4179']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4243-2017-05-31T000000.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(TherapieplanBeatmungOrganizer): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4243-2017-05-31T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(TherapieplanBeatmungOrganizer): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4243-2017-05-31T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(TherapieplanBeatmungOrganizer): Der Wert von @contextConductionInd MUSS 'true' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4243-2017-05-31T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(TherapieplanBeatmungOrganizer): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4243
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4243']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4243']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4180']]]
Item: (TherapieplanBeatmungOrganizer)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4243']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4243']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4180']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4243-2017-05-31T000000.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(TherapieplanBeatmungOrganizer): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4243-2017-05-31T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(TherapieplanBeatmungOrganizer): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4243-2017-05-31T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(TherapieplanBeatmungOrganizer): Der Wert von @contextConductionInd MUSS 'true' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4243-2017-05-31T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(TherapieplanBeatmungOrganizer): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4243
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4243']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4243']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4181']]]
Item: (TherapieplanBeatmungOrganizer)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4243']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4243']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4181']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4243-2017-05-31T000000.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(TherapieplanBeatmungOrganizer): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4243-2017-05-31T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(TherapieplanBeatmungOrganizer): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4243-2017-05-31T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(TherapieplanBeatmungOrganizer): Der Wert von @contextConductionInd MUSS 'true' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4243-2017-05-31T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(TherapieplanBeatmungOrganizer): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4243
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4243']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4243']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4182']]]
Item: (TherapieplanBeatmungOrganizer)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4243']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4243']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4182']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4243-2017-05-31T000000.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(TherapieplanBeatmungOrganizer): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4243-2017-05-31T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(TherapieplanBeatmungOrganizer): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4243-2017-05-31T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(TherapieplanBeatmungOrganizer): Der Wert von @contextConductionInd MUSS 'true' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4243-2017-05-31T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(TherapieplanBeatmungOrganizer): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4243
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4243']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4243']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4183']]]
Item: (TherapieplanBeatmungOrganizer)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4243']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4243']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4183']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4243-2017-05-31T000000.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(TherapieplanBeatmungOrganizer): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4243-2017-05-31T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(TherapieplanBeatmungOrganizer): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4243-2017-05-31T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(TherapieplanBeatmungOrganizer): Der Wert von @contextConductionInd MUSS 'true' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4243-2017-05-31T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(TherapieplanBeatmungOrganizer): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4243
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4243']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4243']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4184']]]
Item: (TherapieplanBeatmungOrganizer)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4243']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4243']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4184']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4243-2017-05-31T000000.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(TherapieplanBeatmungOrganizer): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4243-2017-05-31T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(TherapieplanBeatmungOrganizer): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4243-2017-05-31T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(TherapieplanBeatmungOrganizer): Der Wert von @contextConductionInd MUSS 'true' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4243-2017-05-31T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(TherapieplanBeatmungOrganizer): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4243
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4243']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4243']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4185']]]
Item: (TherapieplanBeatmungOrganizer)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4243']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4243']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4185']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4243-2017-05-31T000000.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(TherapieplanBeatmungOrganizer): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4243-2017-05-31T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(TherapieplanBeatmungOrganizer): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4243-2017-05-31T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(TherapieplanBeatmungOrganizer): Der Wert von @contextConductionInd MUSS 'true' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4243-2017-05-31T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(TherapieplanBeatmungOrganizer): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4243
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4243']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4243']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4186']]]
Item: (TherapieplanBeatmungOrganizer)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4243']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4243']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4186']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4243-2017-05-31T000000.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(TherapieplanBeatmungOrganizer): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4243-2017-05-31T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(TherapieplanBeatmungOrganizer): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4243-2017-05-31T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(TherapieplanBeatmungOrganizer): Der Wert von @contextConductionInd MUSS 'true' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4243-2017-05-31T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(TherapieplanBeatmungOrganizer): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4243
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4243']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4243']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4187']]]
Item: (TherapieplanBeatmungOrganizer)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4243']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4243']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4187']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4243-2017-05-31T000000.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(TherapieplanBeatmungOrganizer): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4243-2017-05-31T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(TherapieplanBeatmungOrganizer): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4243-2017-05-31T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(TherapieplanBeatmungOrganizer): Der Wert von @contextConductionInd MUSS 'true' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4243-2017-05-31T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(TherapieplanBeatmungOrganizer): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4243
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4243']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4243']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4188']]]
Item: (TherapieplanBeatmungOrganizer)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4243']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4243']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4188']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4243-2017-05-31T000000.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(TherapieplanBeatmungOrganizer): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4243-2017-05-31T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(TherapieplanBeatmungOrganizer): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4243-2017-05-31T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(TherapieplanBeatmungOrganizer): Der Wert von @contextConductionInd MUSS 'true' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4243-2017-05-31T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(TherapieplanBeatmungOrganizer): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4243
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4243']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4243']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4189']]]
Item: (TherapieplanBeatmungOrganizer)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4243']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4243']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4189']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4243-2017-05-31T000000.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(TherapieplanBeatmungOrganizer): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4243-2017-05-31T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(TherapieplanBeatmungOrganizer): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4243-2017-05-31T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(TherapieplanBeatmungOrganizer): Der Wert von @contextConductionInd MUSS 'true' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4243-2017-05-31T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(TherapieplanBeatmungOrganizer): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4243
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4243']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4243']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4190']]]
Item: (TherapieplanBeatmungOrganizer)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4243']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4243']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4190']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4243-2017-05-31T000000.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(TherapieplanBeatmungOrganizer): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4243-2017-05-31T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(TherapieplanBeatmungOrganizer): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4243-2017-05-31T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(TherapieplanBeatmungOrganizer): Der Wert von @contextConductionInd MUSS 'true' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4243-2017-05-31T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(TherapieplanBeatmungOrganizer): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4243
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4243']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4243']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4171']]]
Item: (TherapieplanBeatmungOrganizer)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4243']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4243']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4171']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4243-2017-05-31T000000.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(TherapieplanBeatmungOrganizer): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4243-2017-05-31T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(TherapieplanBeatmungOrganizer): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4243-2017-05-31T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(TherapieplanBeatmungOrganizer): Der Wert von @contextConductionInd MUSS 'true' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4243-2017-05-31T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(TherapieplanBeatmungOrganizer): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4243
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4243']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4243']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4191']]]
Item: (TherapieplanBeatmungOrganizer)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4243']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4243']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4191']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4243-2017-05-31T000000.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(TherapieplanBeatmungOrganizer): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4243-2017-05-31T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(TherapieplanBeatmungOrganizer): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4243-2017-05-31T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(TherapieplanBeatmungOrganizer): Der Wert von @contextConductionInd MUSS 'true' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4243-2017-05-31T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(TherapieplanBeatmungOrganizer): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein</assert>
   </rule>
</pattern>
