<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4244
Name: Einstellung Beatmungsgerät Organizer
Description: Sammelkontainer für faktische Einstellung des Beatmungsgerätes (Setting)
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4244-2017-05-31T000000">
   <title>Einstellung Beatmungsgerät Organizer</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4244
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4244']]]
Item: (EinstellungBeatmungsgeraetOrganizer)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4244']]]"
         id="d127e10283-false-d135326e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4244-2017-05-31T000000.html"
              test="count(hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4244']])&gt;=1">(EinstellungBeatmungsgeraetOrganizer): Element hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4244']] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4244-2017-05-31T000000.html"
              test="count(hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4244']])&lt;=1">(EinstellungBeatmungsgeraetOrganizer): Element hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4244']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4244
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4244']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4244']]
Item: (EinstellungBeatmungsgeraetOrganizer)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4244']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4244']]"
         id="d127e10314-false-d135350e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4244-2017-05-31T000000.html"
              test="string(@classCode)=('CLUSTER')">(EinstellungBeatmungsgeraetOrganizer): Der Wert von @classCode MUSS 'CLUSTER' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4244-2017-05-31T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(EinstellungBeatmungsgeraetOrganizer): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4244-2017-05-31T000000.html"
              test="string(@moodCode)=('EVN')">(EinstellungBeatmungsgeraetOrganizer): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4244-2017-05-31T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(EinstellungBeatmungsgeraetOrganizer): Attribute @moodCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4244-2017-05-31T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4244'])&gt;=1">(EinstellungBeatmungsgeraetOrganizer): Element hl7:templateId[@root='1.2.276.0.76.10.4244'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4244-2017-05-31T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4244'])&lt;=1">(EinstellungBeatmungsgeraetOrganizer): Element hl7:templateId[@root='1.2.276.0.76.10.4244'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4244-2017-05-31T000000.html"
              test="count(hl7:id)&lt;=1">(EinstellungBeatmungsgeraetOrganizer): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4244-2017-05-31T000000.html"
              test="count(hl7:code[(@code='X-VENTRPARS' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&gt;=1">(EinstellungBeatmungsgeraetOrganizer): Element hl7:code[(@code='X-VENTRPARS' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4244-2017-05-31T000000.html"
              test="count(hl7:code[(@code='X-VENTRPARS' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&lt;=1">(EinstellungBeatmungsgeraetOrganizer): Element hl7:code[(@code='X-VENTRPARS' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4244-2017-05-31T000000.html"
              test="count(hl7:statusCode[@code='completed' or @nullFlavor])&gt;=1">(EinstellungBeatmungsgeraetOrganizer): Element hl7:statusCode[@code='completed' or @nullFlavor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4244-2017-05-31T000000.html"
              test="count(hl7:statusCode[@code='completed' or @nullFlavor])&lt;=1">(EinstellungBeatmungsgeraetOrganizer): Element hl7:statusCode[@code='completed' or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4244-2017-05-31T000000.html"
              test="count(hl7:effectiveTime)&gt;=1">(EinstellungBeatmungsgeraetOrganizer): Element hl7:effectiveTime ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4244-2017-05-31T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(EinstellungBeatmungsgeraetOrganizer): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4244-2017-05-31T000000.html"
              test="count(hl7:component[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4178']]])&lt;=1">(EinstellungBeatmungsgeraetOrganizer): Element hl7:component[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4178']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4244-2017-05-31T000000.html"
              test="count(hl7:component[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4179']]])&lt;=1">(EinstellungBeatmungsgeraetOrganizer): Element hl7:component[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4179']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4244-2017-05-31T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4180']]])&lt;=1">(EinstellungBeatmungsgeraetOrganizer): Element hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4180']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4244-2017-05-31T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4181']]])&lt;=1">(EinstellungBeatmungsgeraetOrganizer): Element hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4181']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4244-2017-05-31T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4182']]])&lt;=1">(EinstellungBeatmungsgeraetOrganizer): Element hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4182']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4244-2017-05-31T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4183']]])&lt;=1">(EinstellungBeatmungsgeraetOrganizer): Element hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4183']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4244-2017-05-31T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4184']]])&lt;=1">(EinstellungBeatmungsgeraetOrganizer): Element hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4184']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4244-2017-05-31T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4185']]])&lt;=1">(EinstellungBeatmungsgeraetOrganizer): Element hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4185']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4244-2017-05-31T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4186']]])&lt;=1">(EinstellungBeatmungsgeraetOrganizer): Element hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4186']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4244-2017-05-31T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4187']]])&lt;=1">(EinstellungBeatmungsgeraetOrganizer): Element hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4187']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4244-2017-05-31T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4188']]])&lt;=1">(EinstellungBeatmungsgeraetOrganizer): Element hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4188']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4244-2017-05-31T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4189']]])&lt;=1">(EinstellungBeatmungsgeraetOrganizer): Element hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4189']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4244-2017-05-31T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4190']]])&lt;=1">(EinstellungBeatmungsgeraetOrganizer): Element hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4190']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4244-2017-05-31T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4171']]])&lt;=1">(EinstellungBeatmungsgeraetOrganizer): Element hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4171']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4244-2017-05-31T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4191']]])&lt;=1">(EinstellungBeatmungsgeraetOrganizer): Element hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4191']]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4244
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4244']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4244']]/hl7:templateId[@root='1.2.276.0.76.10.4244']
Item: (EinstellungBeatmungsgeraetOrganizer)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4244']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4244']]/hl7:templateId[@root='1.2.276.0.76.10.4244']"
         id="d127e10320-false-d136136e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4244-2017-05-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(EinstellungBeatmungsgeraetOrganizer): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4244-2017-05-31T000000.html"
              test="string(@root)=('1.2.276.0.76.10.4244')">(EinstellungBeatmungsgeraetOrganizer): Der Wert von @root MUSS '1.2.276.0.76.10.4244' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4244-2017-05-31T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(EinstellungBeatmungsgeraetOrganizer): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4244
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4244']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4244']]/hl7:id
Item: (EinstellungBeatmungsgeraetOrganizer)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4244']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4244']]/hl7:id"
         id="d127e10325-false-d136157e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4244-2017-05-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(EinstellungBeatmungsgeraetOrganizer): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4244
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4244']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4244']]/hl7:code[(@code='X-VENTRPARS' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]
Item: (EinstellungBeatmungsgeraetOrganizer)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4244']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4244']]/hl7:code[(@code='X-VENTRPARS' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]"
         id="d127e10327-false-d136171e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4244-2017-05-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(EinstellungBeatmungsgeraetOrganizer): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4244-2017-05-31T000000.html"
              test="@nullFlavor or (@code='X-VENTRPARS' and @codeSystem='2.16.840.1.113883.6.1')">(EinstellungBeatmungsgeraetOrganizer): Der Elementinhalt MUSS einer von 'code 'X-VENTRPARS' codeSystem '2.16.840.1.113883.6.1'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4244
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4244']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4244']]/hl7:statusCode[@code='completed' or @nullFlavor]
Item: (EinstellungBeatmungsgeraetOrganizer)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4244']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4244']]/hl7:statusCode[@code='completed' or @nullFlavor]"
         id="d127e10333-false-d136191e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4244-2017-05-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(EinstellungBeatmungsgeraetOrganizer): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4244-2017-05-31T000000.html"
              test="@nullFlavor or (@code='completed')">(EinstellungBeatmungsgeraetOrganizer): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4244
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4244']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4244']]/hl7:effectiveTime
Item: (EinstellungBeatmungsgeraetOrganizer)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4244']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4244']]/hl7:effectiveTime"
         id="d127e10338-false-d136211e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4244-2017-05-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(EinstellungBeatmungsgeraetOrganizer): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4244
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4244']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4244']]/hl7:component[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4178']]]
Item: (EinstellungBeatmungsgeraetOrganizer)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4244']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4244']]/hl7:component[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4178']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4244-2017-05-31T000000.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(EinstellungBeatmungsgeraetOrganizer): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4244-2017-05-31T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(EinstellungBeatmungsgeraetOrganizer): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4244-2017-05-31T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(EinstellungBeatmungsgeraetOrganizer): Der Wert von @contextConductionInd MUSS 'true' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4244-2017-05-31T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(EinstellungBeatmungsgeraetOrganizer): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4244
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4244']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4244']]/hl7:component[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4179']]]
Item: (EinstellungBeatmungsgeraetOrganizer)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4244']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4244']]/hl7:component[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4179']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4244-2017-05-31T000000.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(EinstellungBeatmungsgeraetOrganizer): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4244-2017-05-31T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(EinstellungBeatmungsgeraetOrganizer): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4244-2017-05-31T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(EinstellungBeatmungsgeraetOrganizer): Der Wert von @contextConductionInd MUSS 'true' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4244-2017-05-31T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(EinstellungBeatmungsgeraetOrganizer): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4244
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4244']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4244']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4180']]]
Item: (EinstellungBeatmungsgeraetOrganizer)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4244']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4244']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4180']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4244-2017-05-31T000000.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(EinstellungBeatmungsgeraetOrganizer): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4244-2017-05-31T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(EinstellungBeatmungsgeraetOrganizer): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4244-2017-05-31T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(EinstellungBeatmungsgeraetOrganizer): Der Wert von @contextConductionInd MUSS 'true' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4244-2017-05-31T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(EinstellungBeatmungsgeraetOrganizer): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4244
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4244']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4244']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4181']]]
Item: (EinstellungBeatmungsgeraetOrganizer)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4244']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4244']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4181']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4244-2017-05-31T000000.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(EinstellungBeatmungsgeraetOrganizer): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4244-2017-05-31T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(EinstellungBeatmungsgeraetOrganizer): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4244-2017-05-31T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(EinstellungBeatmungsgeraetOrganizer): Der Wert von @contextConductionInd MUSS 'true' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4244-2017-05-31T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(EinstellungBeatmungsgeraetOrganizer): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4244
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4244']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4244']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4182']]]
Item: (EinstellungBeatmungsgeraetOrganizer)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4244']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4244']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4182']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4244-2017-05-31T000000.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(EinstellungBeatmungsgeraetOrganizer): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4244-2017-05-31T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(EinstellungBeatmungsgeraetOrganizer): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4244-2017-05-31T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(EinstellungBeatmungsgeraetOrganizer): Der Wert von @contextConductionInd MUSS 'true' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4244-2017-05-31T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(EinstellungBeatmungsgeraetOrganizer): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4244
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4244']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4244']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4183']]]
Item: (EinstellungBeatmungsgeraetOrganizer)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4244']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4244']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4183']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4244-2017-05-31T000000.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(EinstellungBeatmungsgeraetOrganizer): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4244-2017-05-31T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(EinstellungBeatmungsgeraetOrganizer): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4244-2017-05-31T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(EinstellungBeatmungsgeraetOrganizer): Der Wert von @contextConductionInd MUSS 'true' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4244-2017-05-31T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(EinstellungBeatmungsgeraetOrganizer): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4244
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4244']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4244']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4184']]]
Item: (EinstellungBeatmungsgeraetOrganizer)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4244']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4244']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4184']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4244-2017-05-31T000000.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(EinstellungBeatmungsgeraetOrganizer): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4244-2017-05-31T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(EinstellungBeatmungsgeraetOrganizer): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4244-2017-05-31T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(EinstellungBeatmungsgeraetOrganizer): Der Wert von @contextConductionInd MUSS 'true' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4244-2017-05-31T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(EinstellungBeatmungsgeraetOrganizer): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4244
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4244']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4244']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4185']]]
Item: (EinstellungBeatmungsgeraetOrganizer)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4244']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4244']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4185']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4244-2017-05-31T000000.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(EinstellungBeatmungsgeraetOrganizer): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4244-2017-05-31T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(EinstellungBeatmungsgeraetOrganizer): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4244-2017-05-31T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(EinstellungBeatmungsgeraetOrganizer): Der Wert von @contextConductionInd MUSS 'true' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4244-2017-05-31T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(EinstellungBeatmungsgeraetOrganizer): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4244
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4244']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4244']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4186']]]
Item: (EinstellungBeatmungsgeraetOrganizer)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4244']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4244']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4186']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4244-2017-05-31T000000.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(EinstellungBeatmungsgeraetOrganizer): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4244-2017-05-31T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(EinstellungBeatmungsgeraetOrganizer): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4244-2017-05-31T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(EinstellungBeatmungsgeraetOrganizer): Der Wert von @contextConductionInd MUSS 'true' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4244-2017-05-31T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(EinstellungBeatmungsgeraetOrganizer): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4244
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4244']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4244']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4187']]]
Item: (EinstellungBeatmungsgeraetOrganizer)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4244']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4244']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4187']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4244-2017-05-31T000000.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(EinstellungBeatmungsgeraetOrganizer): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4244-2017-05-31T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(EinstellungBeatmungsgeraetOrganizer): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4244-2017-05-31T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(EinstellungBeatmungsgeraetOrganizer): Der Wert von @contextConductionInd MUSS 'true' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4244-2017-05-31T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(EinstellungBeatmungsgeraetOrganizer): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4244
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4244']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4244']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4188']]]
Item: (EinstellungBeatmungsgeraetOrganizer)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4244']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4244']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4188']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4244-2017-05-31T000000.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(EinstellungBeatmungsgeraetOrganizer): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4244-2017-05-31T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(EinstellungBeatmungsgeraetOrganizer): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4244-2017-05-31T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(EinstellungBeatmungsgeraetOrganizer): Der Wert von @contextConductionInd MUSS 'true' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4244-2017-05-31T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(EinstellungBeatmungsgeraetOrganizer): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4244
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4244']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4244']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4189']]]
Item: (EinstellungBeatmungsgeraetOrganizer)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4244']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4244']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4189']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4244-2017-05-31T000000.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(EinstellungBeatmungsgeraetOrganizer): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4244-2017-05-31T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(EinstellungBeatmungsgeraetOrganizer): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4244-2017-05-31T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(EinstellungBeatmungsgeraetOrganizer): Der Wert von @contextConductionInd MUSS 'true' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4244-2017-05-31T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(EinstellungBeatmungsgeraetOrganizer): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4244
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4244']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4244']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4190']]]
Item: (EinstellungBeatmungsgeraetOrganizer)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4244']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4244']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4190']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4244-2017-05-31T000000.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(EinstellungBeatmungsgeraetOrganizer): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4244-2017-05-31T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(EinstellungBeatmungsgeraetOrganizer): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4244-2017-05-31T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(EinstellungBeatmungsgeraetOrganizer): Der Wert von @contextConductionInd MUSS 'true' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4244-2017-05-31T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(EinstellungBeatmungsgeraetOrganizer): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4244
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4244']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4244']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4171']]]
Item: (EinstellungBeatmungsgeraetOrganizer)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4244']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4244']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4171']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4244-2017-05-31T000000.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(EinstellungBeatmungsgeraetOrganizer): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4244-2017-05-31T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(EinstellungBeatmungsgeraetOrganizer): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4244-2017-05-31T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(EinstellungBeatmungsgeraetOrganizer): Der Wert von @contextConductionInd MUSS 'true' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4244-2017-05-31T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(EinstellungBeatmungsgeraetOrganizer): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4244
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4244']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4244']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4191']]]
Item: (EinstellungBeatmungsgeraetOrganizer)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4244']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4244']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4191']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4244-2017-05-31T000000.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(EinstellungBeatmungsgeraetOrganizer): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4244-2017-05-31T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(EinstellungBeatmungsgeraetOrganizer): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4244-2017-05-31T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(EinstellungBeatmungsgeraetOrganizer): Der Wert von @contextConductionInd MUSS 'true' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4244-2017-05-31T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(EinstellungBeatmungsgeraetOrganizer): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein</assert>
   </rule>
</pattern>
