<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4246
Name: Alarmkriterien Organizer
Description: Sammelkontainer für für Beatmungs-Alarmkriterien
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4246-2017-05-31T000000">
   <title>Alarmkriterien Organizer</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4246
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4246']]]
Item: (AlarmkriterienOrganizer)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4246']]]"
         id="d127e10594-false-d138914e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4246-2017-05-31T000000.html"
              test="count(hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4246']])&gt;=1">(AlarmkriterienOrganizer): Element hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4246']] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4246-2017-05-31T000000.html"
              test="count(hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4246']])&lt;=1">(AlarmkriterienOrganizer): Element hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4246']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4246
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4246']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4246']]
Item: (AlarmkriterienOrganizer)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4246']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4246']]"
         id="d127e10605-false-d138938e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4246-2017-05-31T000000.html"
              test="string(@classCode)=('CLUSTER')">(AlarmkriterienOrganizer): Der Wert von @classCode MUSS 'CLUSTER' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4246-2017-05-31T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(AlarmkriterienOrganizer): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4246-2017-05-31T000000.html"
              test="string(@moodCode)=('EVN.CRT')">(AlarmkriterienOrganizer): Der Wert von @moodCode MUSS 'EVN.CRT' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4246-2017-05-31T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(AlarmkriterienOrganizer): Attribute @moodCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4246-2017-05-31T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4246'])&gt;=1">(AlarmkriterienOrganizer): Element hl7:templateId[@root='1.2.276.0.76.10.4246'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4246-2017-05-31T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4246'])&lt;=1">(AlarmkriterienOrganizer): Element hl7:templateId[@root='1.2.276.0.76.10.4246'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4246-2017-05-31T000000.html"
              test="count(hl7:id)&lt;=1">(AlarmkriterienOrganizer): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4246-2017-05-31T000000.html"
              test="count(hl7:code[(@code='X-ALARMCRIT' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&gt;=1">(AlarmkriterienOrganizer): Element hl7:code[(@code='X-ALARMCRIT' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4246-2017-05-31T000000.html"
              test="count(hl7:code[(@code='X-ALARMCRIT' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&lt;=1">(AlarmkriterienOrganizer): Element hl7:code[(@code='X-ALARMCRIT' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4246-2017-05-31T000000.html"
              test="count(hl7:statusCode[@code='completed' or @nullFlavor])&gt;=1">(AlarmkriterienOrganizer): Element hl7:statusCode[@code='completed' or @nullFlavor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4246-2017-05-31T000000.html"
              test="count(hl7:statusCode[@code='completed' or @nullFlavor])&lt;=1">(AlarmkriterienOrganizer): Element hl7:statusCode[@code='completed' or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4246-2017-05-31T000000.html"
              test="count(hl7:effectiveTime)&gt;=1">(AlarmkriterienOrganizer): Element hl7:effectiveTime ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4246-2017-05-31T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(AlarmkriterienOrganizer): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4246-2017-05-31T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4180']]])&lt;=1">(AlarmkriterienOrganizer): Element hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4180']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4246-2017-05-31T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4181']]])&lt;=1">(AlarmkriterienOrganizer): Element hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4181']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4246-2017-05-31T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4182']]])&lt;=1">(AlarmkriterienOrganizer): Element hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4182']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4246-2017-05-31T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4183']]])&lt;=1">(AlarmkriterienOrganizer): Element hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4183']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4246-2017-05-31T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4184']]])&lt;=1">(AlarmkriterienOrganizer): Element hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4184']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4246-2017-05-31T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4185']]])&lt;=1">(AlarmkriterienOrganizer): Element hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4185']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4246-2017-05-31T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4186']]])&lt;=1">(AlarmkriterienOrganizer): Element hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4186']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4246-2017-05-31T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4187']]])&lt;=1">(AlarmkriterienOrganizer): Element hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4187']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4246-2017-05-31T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4188']]])&lt;=1">(AlarmkriterienOrganizer): Element hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4188']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4246-2017-05-31T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4189']]])&lt;=1">(AlarmkriterienOrganizer): Element hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4189']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4246-2017-05-31T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4192']]])&lt;=1">(AlarmkriterienOrganizer): Element hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4192']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4246-2017-05-31T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4193']]])&lt;=1">(AlarmkriterienOrganizer): Element hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4193']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4246-2017-05-31T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4171']]])&lt;=1">(AlarmkriterienOrganizer): Element hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4171']]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4246
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4246']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4246']]/hl7:templateId[@root='1.2.276.0.76.10.4246']
Item: (AlarmkriterienOrganizer)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4246']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4246']]/hl7:templateId[@root='1.2.276.0.76.10.4246']"
         id="d127e10611-false-d139634e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4246-2017-05-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AlarmkriterienOrganizer): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4246-2017-05-31T000000.html"
              test="string(@root)=('1.2.276.0.76.10.4246')">(AlarmkriterienOrganizer): Der Wert von @root MUSS '1.2.276.0.76.10.4246' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4246-2017-05-31T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(AlarmkriterienOrganizer): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4246
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4246']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4246']]/hl7:id
Item: (AlarmkriterienOrganizer)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4246']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4246']]/hl7:id"
         id="d127e10616-false-d139655e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4246-2017-05-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AlarmkriterienOrganizer): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4246
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4246']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4246']]/hl7:code[(@code='X-ALARMCRIT' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]
Item: (AlarmkriterienOrganizer)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4246']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4246']]/hl7:code[(@code='X-ALARMCRIT' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]"
         id="d127e10618-false-d139669e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4246-2017-05-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AlarmkriterienOrganizer): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4246-2017-05-31T000000.html"
              test="@nullFlavor or (@code='X-ALARMCRIT' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Alarm Criteria' and @codeSystemName='LOINC')">(AlarmkriterienOrganizer): Der Elementinhalt MUSS einer von 'code 'X-ALARMCRIT' codeSystem '2.16.840.1.113883.6.1' displayName='Alarm Criteria' codeSystemName='LOINC'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4246
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4246']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4246']]/hl7:statusCode[@code='completed' or @nullFlavor]
Item: (AlarmkriterienOrganizer)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4246']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4246']]/hl7:statusCode[@code='completed' or @nullFlavor]"
         id="d127e10624-false-d139689e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4246-2017-05-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AlarmkriterienOrganizer): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4246-2017-05-31T000000.html"
              test="@nullFlavor or (@code='completed')">(AlarmkriterienOrganizer): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4246
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4246']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4246']]/hl7:effectiveTime
Item: (AlarmkriterienOrganizer)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4246']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4246']]/hl7:effectiveTime"
         id="d127e10629-false-d139709e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4246-2017-05-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AlarmkriterienOrganizer): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4246
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4246']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4246']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4180']]]
Item: (AlarmkriterienOrganizer)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4246']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4246']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4180']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4246-2017-05-31T000000.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(AlarmkriterienOrganizer): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4246-2017-05-31T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(AlarmkriterienOrganizer): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4246-2017-05-31T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(AlarmkriterienOrganizer): Der Wert von @contextConductionInd MUSS 'true' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4246-2017-05-31T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(AlarmkriterienOrganizer): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4246
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4246']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4246']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4181']]]
Item: (AlarmkriterienOrganizer)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4246']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4246']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4181']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4246-2017-05-31T000000.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(AlarmkriterienOrganizer): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4246-2017-05-31T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(AlarmkriterienOrganizer): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4246-2017-05-31T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(AlarmkriterienOrganizer): Der Wert von @contextConductionInd MUSS 'true' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4246-2017-05-31T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(AlarmkriterienOrganizer): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4246
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4246']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4246']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4182']]]
Item: (AlarmkriterienOrganizer)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4246']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4246']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4182']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4246-2017-05-31T000000.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(AlarmkriterienOrganizer): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4246-2017-05-31T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(AlarmkriterienOrganizer): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4246-2017-05-31T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(AlarmkriterienOrganizer): Der Wert von @contextConductionInd MUSS 'true' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4246-2017-05-31T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(AlarmkriterienOrganizer): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4246
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4246']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4246']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4183']]]
Item: (AlarmkriterienOrganizer)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4246']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4246']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4183']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4246-2017-05-31T000000.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(AlarmkriterienOrganizer): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4246-2017-05-31T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(AlarmkriterienOrganizer): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4246-2017-05-31T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(AlarmkriterienOrganizer): Der Wert von @contextConductionInd MUSS 'true' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4246-2017-05-31T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(AlarmkriterienOrganizer): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4246
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4246']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4246']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4184']]]
Item: (AlarmkriterienOrganizer)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4246']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4246']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4184']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4246-2017-05-31T000000.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(AlarmkriterienOrganizer): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4246-2017-05-31T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(AlarmkriterienOrganizer): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4246-2017-05-31T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(AlarmkriterienOrganizer): Der Wert von @contextConductionInd MUSS 'true' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4246-2017-05-31T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(AlarmkriterienOrganizer): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4246
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4246']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4246']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4185']]]
Item: (AlarmkriterienOrganizer)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4246']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4246']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4185']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4246-2017-05-31T000000.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(AlarmkriterienOrganizer): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4246-2017-05-31T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(AlarmkriterienOrganizer): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4246-2017-05-31T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(AlarmkriterienOrganizer): Der Wert von @contextConductionInd MUSS 'true' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4246-2017-05-31T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(AlarmkriterienOrganizer): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4246
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4246']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4246']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4186']]]
Item: (AlarmkriterienOrganizer)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4246']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4246']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4186']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4246-2017-05-31T000000.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(AlarmkriterienOrganizer): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4246-2017-05-31T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(AlarmkriterienOrganizer): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4246-2017-05-31T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(AlarmkriterienOrganizer): Der Wert von @contextConductionInd MUSS 'true' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4246-2017-05-31T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(AlarmkriterienOrganizer): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4246
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4246']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4246']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4187']]]
Item: (AlarmkriterienOrganizer)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4246']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4246']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4187']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4246-2017-05-31T000000.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(AlarmkriterienOrganizer): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4246-2017-05-31T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(AlarmkriterienOrganizer): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4246-2017-05-31T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(AlarmkriterienOrganizer): Der Wert von @contextConductionInd MUSS 'true' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4246-2017-05-31T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(AlarmkriterienOrganizer): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4246
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4246']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4246']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4188']]]
Item: (AlarmkriterienOrganizer)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4246']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4246']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4188']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4246-2017-05-31T000000.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(AlarmkriterienOrganizer): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4246-2017-05-31T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(AlarmkriterienOrganizer): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4246-2017-05-31T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(AlarmkriterienOrganizer): Der Wert von @contextConductionInd MUSS 'true' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4246-2017-05-31T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(AlarmkriterienOrganizer): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4246
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4246']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4246']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4189']]]
Item: (AlarmkriterienOrganizer)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4246']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4246']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4189']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4246-2017-05-31T000000.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(AlarmkriterienOrganizer): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4246-2017-05-31T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(AlarmkriterienOrganizer): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4246-2017-05-31T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(AlarmkriterienOrganizer): Der Wert von @contextConductionInd MUSS 'true' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4246-2017-05-31T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(AlarmkriterienOrganizer): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4246
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4246']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4246']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4192']]]
Item: (AlarmkriterienOrganizer)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4246']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4246']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4192']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4246-2017-05-31T000000.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(AlarmkriterienOrganizer): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4246-2017-05-31T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(AlarmkriterienOrganizer): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4246-2017-05-31T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(AlarmkriterienOrganizer): Der Wert von @contextConductionInd MUSS 'true' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4246-2017-05-31T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(AlarmkriterienOrganizer): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4246
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4246']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4246']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4193']]]
Item: (AlarmkriterienOrganizer)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4246']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4246']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4193']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4246-2017-05-31T000000.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(AlarmkriterienOrganizer): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4246-2017-05-31T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(AlarmkriterienOrganizer): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4246-2017-05-31T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(AlarmkriterienOrganizer): Der Wert von @contextConductionInd MUSS 'true' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4246-2017-05-31T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(AlarmkriterienOrganizer): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4246
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4246']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4246']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4171']]]
Item: (AlarmkriterienOrganizer)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4246']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4246']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4171']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4246-2017-05-31T000000.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(AlarmkriterienOrganizer): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4246-2017-05-31T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(AlarmkriterienOrganizer): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4246-2017-05-31T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(AlarmkriterienOrganizer): Der Wert von @contextConductionInd MUSS 'true' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4246-2017-05-31T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(AlarmkriterienOrganizer): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein</assert>
   </rule>
</pattern>
