<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4248
Name: Tracheostoma
Description: Art und Anlagedatum des Tracheostomas
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4248-2017-06-02T000000">
   <title>Tracheostoma</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4248
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4248']]]
Item: (Tracheostoma)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4248']]]"
         id="d127e10858-false-d142377e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4248-2017-06-02T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4248']])&gt;=1">(Tracheostoma): Element hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4248']] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4248-2017-06-02T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4248']])&lt;=1">(Tracheostoma): Element hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4248']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4248
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4248']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4248']]
Item: (Tracheostoma)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4248']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4248']]"
         id="d127e10889-false-d142401e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4248-2017-06-02T000000.html"
              test="string(@classCode)=('OBS')">(Tracheostoma): Der Wert von @classCode MUSS 'OBS' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4248-2017-06-02T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(Tracheostoma): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4248-2017-06-02T000000.html"
              test="string(@moodCode)=('EVN')">(Tracheostoma): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4248-2017-06-02T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(Tracheostoma): Attribute @moodCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4248-2017-06-02T000000.html"
              test="not(@negationInd) or string(@negationInd)=('true','false')">(Tracheostoma): Attribute @negationInd MUSS vom Datentyp 'bl' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4248-2017-06-02T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4248'])&gt;=1">(Tracheostoma): Element hl7:templateId[@root='1.2.276.0.76.10.4248'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4248-2017-06-02T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4248'])&lt;=1">(Tracheostoma): Element hl7:templateId[@root='1.2.276.0.76.10.4248'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4248-2017-06-02T000000.html"
              test="count(hl7:id)&lt;=1">(Tracheostoma): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4248-2017-06-02T000000.html"
              test="count(hl7:code[(@code='280361007' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)])&gt;=1">(Tracheostoma): Element hl7:code[(@code='280361007' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4248-2017-06-02T000000.html"
              test="count(hl7:code[(@code='280361007' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)])&lt;=1">(Tracheostoma): Element hl7:code[(@code='280361007' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4248-2017-06-02T000000.html"
              test="count(hl7:text)&lt;=1">(Tracheostoma): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4248-2017-06-02T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Tracheostoma): Element hl7:statusCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4248-2017-06-02T000000.html"
              test="count(hl7:effectiveTime[not(@nullFlavor)])&gt;=1">(Tracheostoma): Element hl7:effectiveTime[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4248-2017-06-02T000000.html"
              test="count(hl7:effectiveTime[not(@nullFlavor)])&lt;=1">(Tracheostoma): Element hl7:effectiveTime[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4248-2017-06-02T000000.html"
              test="count(hl7:methodCode)&lt;=1">(Tracheostoma): Element hl7:methodCode kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4248
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4248']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4248']]/hl7:templateId[@root='1.2.276.0.76.10.4248']
Item: (Tracheostoma)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4248']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4248']]/hl7:templateId[@root='1.2.276.0.76.10.4248']"
         id="d127e10901-false-d142501e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4248-2017-06-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Tracheostoma): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4248-2017-06-02T000000.html"
              test="string(@root)=('1.2.276.0.76.10.4248')">(Tracheostoma): Der Wert von @root MUSS '1.2.276.0.76.10.4248' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4248-2017-06-02T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(Tracheostoma): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4248
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4248']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4248']]/hl7:id
Item: (Tracheostoma)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4248']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4248']]/hl7:id"
         id="d127e10906-false-d142522e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4248-2017-06-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Tracheostoma): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4248
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4248']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4248']]/hl7:code[(@code='280361007' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]
Item: (Tracheostoma)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4248']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4248']]/hl7:code[(@code='280361007' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]"
         id="d127e10909-false-d142536e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4248-2017-06-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Tracheostoma): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4248-2017-06-02T000000.html"
              test="@nullFlavor or (@code='280361007' and @codeSystem='2.16.840.1.113883.6.96' and @displayName='Tracheostomy stoma (morphologic abnormality)' and @codeSystemName='SNOMED CT')">(Tracheostoma): Der Elementinhalt MUSS einer von 'code '280361007' codeSystem '2.16.840.1.113883.6.96' displayName='Tracheostomy stoma (morphologic abnormality)' codeSystemName='SNOMED CT'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4248
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4248']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4248']]/hl7:text
Item: (Tracheostoma)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4248']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4248']]/hl7:text"
         id="d127e10914-false-d142556e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4248-2017-06-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Tracheostoma): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4248
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4248']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4248']]/hl7:statusCode
Item: (Tracheostoma)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4248']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4248']]/hl7:statusCode"
         id="d127e10916-false-d142570e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4248-2017-06-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Tracheostoma): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4248-2017-06-02T000000.html"
              test="@nullFlavor or (@code='completed')">(Tracheostoma): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4248
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4248']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4248']]/hl7:effectiveTime[not(@nullFlavor)]
Item: (Tracheostoma)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4248']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4248']]/hl7:effectiveTime[not(@nullFlavor)]"
         id="d127e10921-false-d142590e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4248-2017-06-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Tracheostoma): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4248-2017-06-02T000000.html"
              test="count(hl7:low)&gt;=1">(Tracheostoma): Element hl7:low ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4248-2017-06-02T000000.html"
              test="count(hl7:low)&lt;=1">(Tracheostoma): Element hl7:low kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4248-2017-06-02T000000.html"
              test="count(hl7:high)&lt;=1">(Tracheostoma): Element hl7:high kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4248
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4248']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4248']]/hl7:effectiveTime[not(@nullFlavor)]/hl7:low
Item: (Tracheostoma)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4248']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4248']]/hl7:effectiveTime[not(@nullFlavor)]/hl7:low"
         id="d127e10932-false-d142625e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4248-2017-06-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Tracheostoma): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4248-2017-06-02T000000.html"
              test="not(*)">(Tracheostoma): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4248
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4248']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4248']]/hl7:effectiveTime[not(@nullFlavor)]/hl7:high
Item: (Tracheostoma)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4248']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4248']]/hl7:effectiveTime[not(@nullFlavor)]/hl7:high"
         id="d127e10934-false-d142642e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4248-2017-06-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Tracheostoma): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4248-2017-06-02T000000.html"
              test="not(*)">(Tracheostoma): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4248
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4248']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4248']]/hl7:methodCode
Item: (Tracheostoma)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4248']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4248']]/hl7:methodCode"
         id="d127e10937-false-d142659e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4248-2017-06-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Tracheostoma): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4248-2017-06-02T000000.html"
              test="@nullFlavor or exists(doc('include/voc-1.2.276.0.76.11.448-2017-06-02T000000.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(Tracheostoma): Der Elementinhalt MUSS einer von '1.2.276.0.76.11.448 Tracheotomie (2017-06-02T00:00:00)' sein.</assert>
   </rule>
</pattern>
