<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.6.60.12.10.90
Name: Problem Observation Diagnosen
Description: Die klinische Diagnose eines Patienten in ICD-10 codiert.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.6.60.12.10.90-2017-05-29T140353">
   <title>Problem Observation Diagnosen</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.6.60.12.10.90
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90']]]
Item: (ProblemObservationDiagnosen)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.6.60.12.10.90
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90']]
Item: (ProblemObservationDiagnosen)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90']]"
         id="d127e12594-false-d145376e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.90-2017-05-29T140353.html"
              test="string(@classCode)=('OBS')">(ProblemObservationDiagnosen): Der Wert von @classCode MUSS 'OBS' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.90-2017-05-29T140353.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(ProblemObservationDiagnosen): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.90-2017-05-29T140353.html"
              test="string(@moodCode)=('EVN')">(ProblemObservationDiagnosen): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.90-2017-05-29T140353.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(ProblemObservationDiagnosen): Attribute @moodCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.90-2017-05-29T140353.html"
              test="not(@negationInd) or string(@negationInd)=('true','false')">(ProblemObservationDiagnosen): Attribute @negationInd MUSS vom Datentyp 'bl' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.90-2017-05-29T140353.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90'])&gt;=1">(ProblemObservationDiagnosen): Element hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.90-2017-05-29T140353.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90'])&lt;=1">(ProblemObservationDiagnosen): Element hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.90-2017-05-29T140353.html"
              test="count(hl7:id)&gt;=1">(ProblemObservationDiagnosen): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.90-2017-05-29T140353.html"
              test="count(hl7:code[(@code='29548-5' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&gt;=1">(ProblemObservationDiagnosen): Element hl7:code[(@code='29548-5' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.90-2017-05-29T140353.html"
              test="count(hl7:code[(@code='29548-5' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&lt;=1">(ProblemObservationDiagnosen): Element hl7:code[(@code='29548-5' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.90-2017-05-29T140353.html"
              test="count(hl7:statusCode[@code='completed'][not(@nullFlavor)])&gt;=1">(ProblemObservationDiagnosen): Element hl7:statusCode[@code='completed'][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.90-2017-05-29T140353.html"
              test="count(hl7:statusCode[@code='completed'][not(@nullFlavor)])&lt;=1">(ProblemObservationDiagnosen): Element hl7:statusCode[@code='completed'][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.90-2017-05-29T140353.html"
              test="count(hl7:effectiveTime[not(@nullFlavor)])&gt;=1">(ProblemObservationDiagnosen): Element hl7:effectiveTime[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.90-2017-05-29T140353.html"
              test="count(hl7:effectiveTime[not(@nullFlavor)])&lt;=1">(ProblemObservationDiagnosen): Element hl7:effectiveTime[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.90-2017-05-29T140353.html"
              test="count(hl7:value)&gt;=1">(ProblemObservationDiagnosen): Element hl7:value ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.90-2017-05-29T140353.html"
              test="count(hl7:value)&lt;=1">(ProblemObservationDiagnosen): Element hl7:value kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.6.60.12.10.90
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90']]/hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90']
Item: (ProblemObservationDiagnosen)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90']]/hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90']"
         id="d127e12606-false-d145481e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.90-2017-05-29T140353.html"
              test="string(@root)=('2.16.840.1.113883.2.6.60.12.10.90')">(ProblemObservationDiagnosen): Der Wert von @root MUSS '2.16.840.1.113883.2.6.60.12.10.90' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.90-2017-05-29T140353.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(ProblemObservationDiagnosen): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.6.60.12.10.90
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90']]/hl7:id
Item: (ProblemObservationDiagnosen)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.6.60.12.10.90
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90']]/hl7:code[(@code='29548-5' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]
Item: (ProblemObservationDiagnosen)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90']]/hl7:code[(@code='29548-5' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]"
         id="d127e12614-false-d145509e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.90-2017-05-29T140353.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ProblemObservationDiagnosen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.90-2017-05-29T140353.html"
              test="@nullFlavor or (@code='29548-5' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Diagnosis Narrative' and @codeSystemName='LOINC')">(ProblemObservationDiagnosen): Der Elementinhalt MUSS einer von 'code '29548-5' codeSystem '2.16.840.1.113883.6.1' displayName='Diagnosis Narrative' codeSystemName='LOINC'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.6.60.12.10.90
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90']]/hl7:statusCode[@code='completed'][not(@nullFlavor)]
Item: (ProblemObservationDiagnosen)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90']]/hl7:statusCode[@code='completed'][not(@nullFlavor)]"
         id="d127e12619-false-d145529e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.90-2017-05-29T140353.html"
              test="@nullFlavor or (@code='completed')">(ProblemObservationDiagnosen): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.6.60.12.10.90
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90']]/hl7:effectiveTime[not(@nullFlavor)]
Item: (ProblemObservationDiagnosen)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90']]/hl7:effectiveTime[not(@nullFlavor)]"
         id="d127e12624-false-d145546e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.90-2017-05-29T140353.html"
              test="count(hl7:low[not(@nullFlavor)])&gt;=1">(ProblemObservationDiagnosen): Element hl7:low[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.90-2017-05-29T140353.html"
              test="count(hl7:low[not(@nullFlavor)])&lt;=1">(ProblemObservationDiagnosen): Element hl7:low[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.90-2017-05-29T140353.html"
              test="count(hl7:high)&lt;=1">(ProblemObservationDiagnosen): Element hl7:high kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.6.60.12.10.90
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90']]/hl7:effectiveTime[not(@nullFlavor)]/hl7:low[not(@nullFlavor)]
Item: (ProblemObservationDiagnosen)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.6.60.12.10.90
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90']]/hl7:effectiveTime[not(@nullFlavor)]/hl7:high
Item: (ProblemObservationDiagnosen)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.6.60.12.10.90
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90']]/hl7:value
Item: (ProblemObservationDiagnosen)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90']]/hl7:value"
         id="d127e12648-false-d145600e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.90-2017-05-29T140353.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ProblemObservationDiagnosen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.6.60.12.10.90
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90']]/hl7:author
Item: (ProblemObservationDiagnosen)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90']]/hl7:author"
         id="d127e12664-false-d145616e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.90-2017-05-29T140353.html"
              test="string(@typeCode)=('AUT') or not(@typeCode)">(ProblemObservationDiagnosen): Der Wert von @typeCode MUSS 'AUT' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.90-2017-05-29T140353.html"
              test="string(@contextControlCode)=('OP') or not(@contextControlCode)">(ProblemObservationDiagnosen): Der Wert von @contextControlCode MUSS 'OP' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.90-2017-05-29T140353.html"
              test="count(hl7:functionCode)&lt;=1">(ProblemObservationDiagnosen): Element hl7:functionCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.90-2017-05-29T140353.html"
              test="count(hl7:time)&gt;=1">(ProblemObservationDiagnosen): Element hl7:time ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.90-2017-05-29T140353.html"
              test="count(hl7:time)&lt;=1">(ProblemObservationDiagnosen): Element hl7:time kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.90-2017-05-29T140353.html"
              test="count(hl7:assignedAuthor)&gt;=1">(ProblemObservationDiagnosen): Element hl7:assignedAuthor ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.90-2017-05-29T140353.html"
              test="count(hl7:assignedAuthor)&lt;=1">(ProblemObservationDiagnosen): Element hl7:assignedAuthor kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90025
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90']]/hl7:author/hl7:functionCode
Item: (AuthorBody)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90']]/hl7:author/hl7:functionCode"
         id="d145627e33-false-d145673e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AuthorBody): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(AuthorBody): Der Elementinhalt MUSS einer von '2.16.840.1.113883.1.11.10267 ParticipationFunction (DYNAMIC)' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90025
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90']]/hl7:author/hl7:time
Item: (AuthorBody)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90']]/hl7:author/hl7:time"
         id="d145627e38-false-d145698e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AuthorBody): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="not(*)">(AuthorBody): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90025
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90']]/hl7:author/hl7:assignedAuthor
Item: (AuthorBody)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90']]/hl7:author/hl7:assignedAuthor"
         id="d145627e40-false-d145715e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="string(@classCode)=('ASSIGNED') or not(@classCode)">(AuthorBody): Der Wert von @classCode MUSS 'ASSIGNED' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:id)&gt;=1">(AuthorBody): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:code)&lt;=1">(AuthorBody): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:assignedPerson)&lt;=1">(AuthorBody): Element hl7:assignedPerson kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:representedOrganization)&lt;=1">(AuthorBody): Element hl7:representedOrganization kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90025
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90']]/hl7:author/hl7:assignedAuthor/hl7:id
Item: (AuthorBody)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90']]/hl7:author/hl7:assignedAuthor/hl7:id"
         id="d145627e44-false-d145781e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AuthorBody): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90025
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90']]/hl7:author/hl7:assignedAuthor/hl7:code
Item: (AuthorBody)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90']]/hl7:author/hl7:assignedAuthor/hl7:code"
         id="d145627e46-false-d145795e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AuthorBody): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.111')">(AuthorBody): Der Elementinhalt MUSS einer von 'codeSystem '2.16.840.1.113883.5.111'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90025
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90']]/hl7:author/hl7:assignedAuthor/hl7:addr
Item: (AuthorBody)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90']]/hl7:author/hl7:assignedAuthor/hl7:addr"
         id="d145627e51-false-d145815e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AuthorBody): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90025
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90']]/hl7:author/hl7:assignedAuthor/hl7:telecom
Item: (AuthorBody)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90']]/hl7:author/hl7:assignedAuthor/hl7:telecom"
         id="d145627e53-false-d145829e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AuthorBody): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90025
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson
Item: (AuthorBody)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson"
         id="d145627e56-false-d145845e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="string(@classCode)=('PSN') or not(@classCode)">(AuthorBody): Der Wert von @classCode MUSS 'PSN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(AuthorBody): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:name[not(@nullFlavor)])&gt;=1">(AuthorBody): Element hl7:name[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:name[not(@nullFlavor)])&lt;=1">(AuthorBody): Element hl7:name[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90010
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name[not(@nullFlavor)]
Item: (PersonElements)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name[not(@nullFlavor)]"
         id="d145856e22-false-d145883e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90010-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PersonElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PN" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90025
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization
Item: (AuthorBody)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization"
         id="d145627e61-false-d145899e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="string(@classCode)=('ORG') or not(@classCode)">(AuthorBody): Der Wert von @classCode MUSS 'ORG' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(AuthorBody): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:name[not(@nullFlavor)])&gt;=1">(AuthorBody): Element hl7:name[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:name[not(@nullFlavor)])&lt;=1">(AuthorBody): Element hl7:name[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:addr)&lt;=1">(AuthorBody): Element hl7:addr kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90011
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:id
Item: (OrganizationElements)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:id"
         id="d145910e24-false-d145955e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90011
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:name[not(@nullFlavor)]
Item: (OrganizationElements)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:name[not(@nullFlavor)]"
         id="d145910e29-false-d145969e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ON" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90011
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:telecom
Item: (OrganizationElements)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:telecom"
         id="d145910e33-false-d145983e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90011
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:addr
Item: (OrganizationElements)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:addr"
         id="d145910e37-false-d145997e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>
</pattern>
